Sun May 20 14:33:50 Hora oficial do Brasil 2007  klovett@pacbell.net
  * file-exists? trim hack fixup

Sat May 19 18:09:47 Hora oficial do Brasil 2007  bunny351@gmail.com
  * file-exists? should work properly with trailing separator on windows (MSVC/mingw) now

Fri May 11 19:30:32 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - compiler-macro-table is only generated when needed

Fri May 18 03:19:00 Hora oficial do Brasil 2007  klovett@pacbell.net
  * 

Tue May 15 18:04:23 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * removed static linking support on Mac OS X

Tue May 15 02:21:26 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * build chicken-boot dynamically

Mon May 14 22:18:42 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * prefer dynamic chicken for bootstrapping

Mon May 14 01:08:03 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - lolevel: proc.check omitted in unsafe code

Fri May 11 08:37:03 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.615
  - "mutate-procedure" changed slightly

Fri May 11 07:20:17 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - lolevel: added mutate-procedure (not documented yet)

Fri May 11 06:34:15 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: *repository-tree-downloaded* isn't used anymore
  - support for internal compiler macros

Wed May  9 04:38:09 Hora oficial do Brasil 2007  bvanevery@gmail.com
  * MACOSX should not be unconditionally true for static builds

Wed May  9 21:06:45 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Windows exec & spawn need quote-wrapped argument strings

Wed May  9 18:58:57 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Free memory & proper return value for spawn

Wed May  9 18:25:41 Hora oficial do Brasil 2007  klovett@pacbell.net
  * MinGW cannot quote wrap

Wed May  9 07:14:23 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - removed evaluatable requirements-tests from chicken-setup

Wed May  9 04:19:13 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Fix for Windows process-execute/spawn

Wed May  9 04:00:50 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Fix for Windows process-execute/spawn

Wed May  9 03:56:03 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - posixwin.scm: fixed incorrect argument handling in "process-execute" and "process-spawn" [reported by Kon]

Tue May  8 22:44:34 Hora oficial do Brasil 2007  klovett@pacbell.net
  * MacOS X is a GNU ENV, added common free for arg & env lst

Tue May  8 03:43:46 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.614
  - removed ".o" -> ".obj" renaming in chicken-setup
  

Tue May  8 01:42:03 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Windows process param quoting, ren of csc local procs that had names of defnd procs, quoting of csc filenames for unix

Sat May  5 02:06:41 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Minor code formatting fix

Sat May  5 00:25:37 Hora oficial do Brasil 2007  klovett@pacbell.net
  * chicken-setup create-directory for windows didn't create parent directories

Fri May  4 22:53:11 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Cygwin defeat of libffi use in autotools caused ALL use to be defeated

Thu Apr 26 02:53:15 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - Several chicken-profile enhancements by Andre Kuehne
  

Wed Apr 25 10:21:42 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.613

Tue Apr 24 08:58:56 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added csc option "-cxx-name"

Tue Apr 24 04:07:51 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - enabled libffi for cygwin/Cmake again, disabled it for cygwin/autotools

Tue Apr 24 01:22:07 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - fixed mingw bug in configure.in
  

Tue Apr 24 00:21:32 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - disabled libffi on cygwin

Tue Apr 24 00:21:18 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * omits libws2_32 check for mingw when cross-compiling

Fri Apr 20 09:18:46 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: -destdir wasn't used in "install-script"
  - version is 2.612

Fri Apr 20 08:11:16 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: removed "-check" option (this will move into a separate tool)
  - printer: escapes backslash in "|...|" printing

Thu Apr 19 03:25:12 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - fix in "read-string" [Thanks to Andre Kuehne]

Mon Apr 16 10:57:53 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csc.scm: bug fix that applied on Windows/CMake with /I option [Thanks to Esteban U. Caamano Castro]
  - printer: "`" wasn't recognized as special char (and thus was unescaped)

Tue Apr 24 11:41:14 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - some cleanup in hen.el
  - "move-memory!" acceps optional 3rd and 4th offset argument

Thu Apr 12 10:08:55 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - print-error-message omitted a ": " when the exception was not a string or condition object.

Sat Apr 14 17:09:35 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - version is 2.611
  - "pathname-directory" always strips trailing separator [suggested by Andre Kuehne]

Sat Apr 14 16:13:13 Hora oficial do Brasil 2007  bunny351@gmail.com
  * readme fix

Tue Apr 10 08:57:10 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - removed -track-scheme since it's quite unusable

Tue Apr 10 07:51:38 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * some trivial cleanups in the compiler

Tue Apr 10 04:45:16 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added setters for "current-effective-(user/group)-id" [thanks to shawnw@speakeasy.org]

Thu Apr  5 18:51:32 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - csc returns 1 if subcommand triggers error (required since last change of "system" result handling - at least on OS X)

Sun Apr  8 10:45:57 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * installation in Buildfile was rather borked

Thu Apr  5 10:27:46 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - "string->number" would not catch "1.0.0" (double occurrence of ".0", which is special-cased) [Reported by marc Feeley]
  - string to number conversion catches trailing chars in radix!=10 case

Thu Apr  5 05:23:14 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added foreign type "c-string-list*"

Wed Apr  4 19:49:59 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Removed _mkgmtime since not part of MinGW time.h (altough it is part of the Win SDK)

Wed Apr  4 17:38:46 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Version is 2.610 due to incompatible changes to MacOS X build

Wed Apr  4 16:19:52 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Bug fix (?) for Cygwin timezone offset & added utc-time->seconds & local-timezone-abbreviation

Wed Apr  4 13:24:50 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Ticket #162 fix

Wed Apr  4 08:54:06 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.609

Wed Apr  4 08:53:54 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - fixed bug in chicken-setup: ranlib on OS X should only be run for .a files 
  [reported by Arto]
  - number->string in binary radix with large fixnums fix [also reported by Arto]
  

Wed Apr  4 03:10:32 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.608
  - added "byte-vector-move!" and "byte-vector-append" [contributed by Arto Bendiken]

Tue Apr  3 10:50:12 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added "c-string-list" result type specifier

Sun Apr  8 09:56:37 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - some cleanup in hen.el

Fri Mar 30 16:37:29 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * require CMake 2.4.6 on suspicion of Linux bugs

Thu Mar 29 15:08:27 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Added port-fold to utils

Thu Mar 29 04:42:08 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - removed obsolete entry for stack-size.cmake in distribution/manifest
  - configure.in: sets default for TARGET_DLL_EXTENSION, if not given

Thu Mar 29 03:28:00 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csc: accepts "-" as input file
  - Makefile.am: missing replacement of C_TARGET_DLL_EXTENSION in chicken-defaults.h [reported by Mario]

Wed Mar 28 04:12:31 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - utils: added "make-broadcast-port" and "make-concatenated-port"
  - version is 2.607
  - fixed bug in chicken-setup (unexported reference to ##sys#current-source-filename) [Reported by Kon Lovett]

Thu Apr  5 08:15:11 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * minor housekeeping

Thu Apr  5 04:43:36 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: accepts when docs or examples are missing

Tue Mar 13 17:02:00 Hora oficial do Brasil 2007  bunny351@gmail.com
  * csc-trans changes

Fri Mar  9 19:14:12 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - apropos[-list]: only lists globally bound symbols

Tue Mar 27 09:31:49 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.606

Tue Mar 27 09:30:35 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - runtime.c: added "C_panic_hook" [Suggested by Maria Rekouts]

Tue Mar 27 08:06:27 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: broken installation of doc-files

Mon Mar 26 01:56:09 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.605
  - applied Mario's help option patch for makedoc

Mon Mar 26 01:39:42 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  tagged 2.604-snapshot

Mon Mar 26 01:39:07 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - updated site index (2.604 snapshot)
  - csc.scm: Mac OS X dylib extensions should be so [Thanks to Kon Lovett]

Fri Mar 23 05:51:30 Hora oficial do Brasil 2007  foof@synthcode.com
  * regex fix

Fri Mar 23 04:45:54 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.604
  - added "hash-table-remove!" [suggested by Kon Lovett]

Wed Mar 21 08:48:43 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - compiler.scm: fix was broken
  

Wed Mar 21 04:50:03 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csc.scm and configuration: TARGET_DLL_EXTENSION
  - compiler.scm: fix in canonicalization of symbols [Reported by Marc Feeley]

Mon Mar 19 10:10:58 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.603

Mon Mar 19 04:29:56 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - fixed buggy implementation of ##sys#alias-global-hook [Thanks to marc Feeley]
  - added support for ##sys#alias-global-hook to compiler

Thu Mar 15 11:48:35 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - implemented fix for #\... handling in the reader to handle UTF-8 characters [contributed by Alex Shinn]

Thu Mar 15 04:51:43 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csc accepts -track-scheme (but still not documented)
  - `system' returns exit status unaltered [Thanks to Mario, Kon and Zbigniew]
  - version is 2.602
  - `char-name' doesn't accept character names with less than 2 chars [suggested by Alex Shinn]

Mon Mar 12 04:32:08 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * added alias-global-hook [suggested by Marc Feeley for snow]

Fri Mar  2 08:17:37 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * small fixes in ANNOUNCE

Fri Mar  9 00:58:50 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Added glob? to regex, directory-null? to utils, fixed bug in srfi-13 %string-map! where updated string was not returned so (void) was result.

Wed Mar  7 07:32:35 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added "unused" declaration [suggested by Kon Lovett]

Tue Mar  6 22:53:09 Hora oficial do Brasil 2007  klovett@pacbell.net
  * copy-read-table wasn't copying the 3rd slot

Mon Mar  5 06:10:36 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * proper handling of TARGET_RUN_PATH

Mon Mar  5 05:20:02 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - removed C_NO_PIC_NO_DLL
  - added TARGET_RUN_PATH (and C_TARGET_RUN_LIB_HOME)
  

Fri Mar  2 09:39:36 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * forgot to save, silly.

Mon Feb 26 19:47:53 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - new banner

Mon Feb 26 19:15:18 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - Buildfile didn't add OPTIM to TARGET_CFLAGS

Fri Mar  2 08:18:52 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - applied Peter Bex' patch to chicken-setup (nicer CSS for docindex)
  - added support for `[nonnull-]unsigned-c-string[*]' foreign type
  - version is 2.601

Thu Mar  1 08:15:18 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  tagged 2.6-release

Thu Mar  1 08:15:09 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.6
  - Buildfile: fixed bug in testdist target
  - Final updates to ANNOUNCE

Mon Feb 26 18:04:17 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  tagged 2.6rc1-snapshot

Mon Feb 26 18:03:13 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * updated NEWS and ANNOUNCE

Tue Mar  6 17:50:37 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * hen.el: highlight defstruct

Wed Feb 21 17:01:44 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - updated NEWS

Mon Feb 26 04:54:44 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * site index update

Thu Mar  1 09:04:58 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * buildfile test fix

Mon Feb 26 04:05:44 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.6rc1

Wed Feb 28 12:51:53 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Replaced loop w/ string-intersperse in ##sys#process for posixwin

Fri Feb 23 18:37:45 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * must use CMAKE_CFG_INTDIR, not CMAKE_BUILD_TYPE

Sat Feb 24 19:40:43 Hora oficial do Brasil 2007  klovett@pacbell.net
  * CYGWIN & MINGW have same behavior for +/-inf.0 & nan.0

Fri Feb 23 07:56:46 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * missed adding C_NO_PIC_NO_DLL - all my fault, Brandon was right. I bow my head in shame

Fri Feb 23 06:32:51 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - on OSX, static chicken + csi are not built [suggested by Thomas Chust]
  

Fri Feb 23 04:12:47 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.524

Fri Feb 23 04:12:36 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - eval: CHICKEN_apply_to_string wasn't hidden.
  - removed C_128_PARAMETERS.
  - added option to CMakeLists.txt for disabling use of libffi
  

Mon Feb 26 13:10:08 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - hid global used in limited length printing
  - '##sys#cons' wasn't in internal bindings and thus not re-written

Wed Feb 21 06:28:46 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.523
  - CMake build adds C_NO_PIC_NO_DLL to cflags

Wed Feb 21 03:51:46 Hora oficial do Brasil 2007  tonysidaway@gmail.com
  * chicken-setup non-windows file permissions
  chicken-setup on non-windows systems must ensure that files and
  directories it copies are usable by all.  If chicken-setup is run in
  a process that has a restrictive umask setting, normal file operations
  apply that restrictive mask. I have added code to apply appropriate
  permissions explicitly after a file copy or a directory creation.

Wed Feb 21 03:55:35 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - posixunix: tm_zone is not available on HP/UX
  - CMakeLists.txt: adds -DC_NO_PIC_NO_DLL to RAW_CFLAGS

Mon Feb 19 17:26:30 Hora oficial do Brasil 2007  tonysidaway@gmail.com
  * chicken-setup: fix required-extension-version
  
  chicken-setup has a built-in command, required-chicken-extension, which takes a
  symbol and a string.  The symbol is the name of an extension, and the string is
  the minimum version number.  The command is supposed to terminate chicken-setup
  with an appropriate error message if the required extension is not already
  installed.
  
  This was broken so I fixed it.

Tue Feb 20 04:33:16 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - `define-record-type' doesn't set record-identifier anymore
  - CMakeLists.txt: uses INSTALL_RPATH now
  - chicken-setup: added `cross-chicken'

Mon Feb 19 11:33:10 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.522
  - added dist-test in Buildfile
  - chicken.h: reverted x86/64-specific change that might break on non-UNIX systems

Fri Feb 16 11:41:37 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added missing definitions to chicken-defaults.h.in
  

Fri Feb 16 09:42:43 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version string indicates cross mode

Fri Feb 16 08:11:13 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.521

Wed Feb 14 09:46:57 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * always include stdint.h on amd64 [thanks to Alex Shinn], simplifcation of eval-trace-info emission
  

Thu Feb 15 09:30:23 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - eval: resolved conflict

Mon Feb 12 16:52:44 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - added compiler-option `-keep-shadowed-macros'

Fri Feb  9 15:11:15 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - eval emitted syntax trace twice for lists with symbol head

Wed Feb 14 04:00:36 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - eval: added interpreter debug level
  - library: handling of unicode surrogates by Alex Shinn
  - csi: fixed a few bugs in "describe"

Tue Feb 13 08:10:36 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csi: removed `array' specific code from `describe'

Mon Feb 12 14:36:41 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * objects grabbed across subdirectories have to be declared as GENERATED

Mon Feb 12 04:32:03 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * reuse pcre objects to avoid multiple source compilation

Mon Feb 12 04:34:58 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - "load-verbose" is always enabled in the repl
  - first form wasn't passed to "user-preprocessor-pass" [reported by minh thu]
  - fixed typo in CMakeLists.txt [thanks to Brandon]

Fri Feb 16 18:57:28 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - compiler raises proper syntax errors
  - removed binary incompatibility over "C_emit_trace_info"
  - syntax-error in compiler shows backtrace

Sun Feb 11 16:34:22 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - eval: experimental insertion of processed forms into trace-buffer, marked as "<syntax>"
    (this is incomplete, since it doesn't show up in compiled code)

Fri Feb  9 07:34:01 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * buildfile fix

Fri Feb  9 07:16:40 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - removed sizeof(double) tests in configure.in

Fri Feb  9 07:12:00 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * cross-building fixes

Thu Feb  8 06:03:04 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * more fixes for cross-compilation

Thu Feb  8 04:23:30 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csc.scm: fixed bug in building of link options

Thu Feb  8 03:41:53 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * fixing conflicts once more in csc.scm

Thu Feb  8 03:35:22 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - inlined some uses of "fxmod" and "fx/"
  - "vector-resize!" uses "##sys#grow-vector"

Wed Feb  7 19:29:04 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * cross-building improvements

Wed Feb  7 19:28:57 Hora oficial do Brasil 2007  bunny351@gmail.com
  * fixed conflicts in csc.scm

Wed Feb  7 15:30:57 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - csc: proper separation of target and install variables ("-host" option)
  - change of TARGET_... variables in various buildfiles
  - configure.in: if cross-compiling, omit sizeof(double) check***END OF DESCRIPTION***
  
  Place the long patch description above the ***END OF DESCRIPTION*** marker.
  The first line of this file will be the patch name.
  
  
  This patch contains the following changes:
  
  M ./Buildfile -2 +6
  M ./CMakeLists.txt -10 +14
  M ./Makefile.am +16
  M ./configure.in -7 +21
  M ./csc.scm -35 +98

Thu Feb  1 16:30:03 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - string->number: long string would overflow intermediate buffer [Thanks to Robin Lee Powell]

Thu Feb  1 14:58:35 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - csi: fixed "-s -<opt>" problem
  - library: "##sys#make-string" is unsafe, "make-string" does checking [suggested by Kon Lovett]

Wed Feb  7 10:45:51 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - README fixed by Mario Domenech Goulart
  - csc: added "-host" options and some support for cross-compiling
  - version is 2.52

Mon Feb  5 05:02:17 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - removed unnecessary diagnostic output in "object-release" [Thanks to Tony Sidaway]

Fri Feb  2 04:47:43 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csc.scm: "-strip" only when not MSVC
  - internal buffer could overflow in "string->number" [Thanks to Robin Lee Powell]

Thu Feb  1 02:20:34 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: simplified "run:execute" a little
  - csc: add "-strip" option

Wed Jan 31 03:46:37 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - extras: "read-lines" swallowed line if given limit argument [Thanks to Tony Sidaway]

Wed Jan 31 03:32:22 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: "make" and "make/proc" accept list as argv argument
  - version is 2.519
  - "glob->regexp" handles "[...]" now

Tue Jan 30 07:20:29 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  tagged 2.518-snapshot

Tue Jan 30 07:20:21 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - updated tarball generation hack
  

Tue Jan 30 05:15:45 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * updated snapshot link in site index

Tue Jan 30 04:35:11 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - version is 2.518

Sat Jan 27 19:21:15 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - Buildfile: supports DESTDIR

Fri Jan 26 11:02:07 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - csi: describe omits "s" in one place if unneccessary***END OF DESCRIPTION***
  
  Place the long patch description above the ***END OF DESCRIPTION*** marker.
  The first line of this file will be the patch name.
  
  
  This patch contains the following changes:
  
  M ./csi.scm -2 +4
  M ./lolevel.scm +1

Sat Jan 27 00:24:28 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Bug fix for translate-extension; improper call to pathname-replace-extension

Fri Jan 26 01:13:34 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Use of ANSI strerror for posixwin

Fri Jan 26 00:53:15 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Added process*

Thu Jan 25 07:53:02 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - Buildfile: -I options did show up in CFLAGS passed by csc
  - csc: didn't perform special handling of "-require-extension"
  - "require-extension" does "require-for-syntax" if needed for statically linked extensions

Thu Jan 25 07:32:25 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * fixed bug introduced in pcre/CMakeLists.txt by last patch

Thu Jan 25 07:31:33 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * -fPIC was missing in libpcre-for-shared

Wed Jan 24 11:56:09 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - site/index.html: added links to trac and callcc.org
  - misc/makehtmldoc: renamed to makedoc, only converts pagers that are out of date
  - library: added "on-exit" and "bit-set?"

Wed Jan 24 10:14:48 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * build pcre once for shared libs

Tue Jan 23 21:36:10 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * pass correct definitioins for PCRE

Tue Jan 23 21:32:57 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * update copyright to 2006..2007

Tue Jan 23 11:02:24 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - reader warns on unrecognized escape sequences in string literals
  - version is 2.517

Mon Jan 22 09:38:40 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * include paths in buildfile

Fri Jan 19 16:11:11 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * compile straight PCRE sources

Fri Jan 19 07:36:13 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * fixed bug in static/CMakelists.txt (wrong libname)

Fri Jan 19 07:29:07 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * builds two pcre intermediate libraries (PIC and non-PIC)

Fri Jan 12 07:03:50 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * forgot pcre/CMakeLists.txt

Fri Jan 12 06:46:28 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * build static libpcre

Thu Jan 11 10:39:40 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * resolved conflicts

Thu Jan 11 04:57:53 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * resolve chicken-pcre conflicts and a few stray errors

Thu Jan 11 10:32:07 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * re-added pcre/NON-UNIX-USE

Thu Jan 11 10:27:22 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * cmake build with pcre working somewhat

Thu Jan 11 09:32:23 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * first try at cmake/pcre integration

Wed Jan 10 05:51:42 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * CMake-detection of memmove and strerror

Wed Jan 10 05:28:26 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * first steps towards pcre integration via cmake

Wed Jan 10 05:17:42 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * buildfile adapation to pcre integration

Wed Jan 10 03:57:47 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added pcre files, removed all traces of regexunix and pregexp, renamed pcre sorces to regex

Tue Jan  9 13:05:55 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - configure.in: fixed bug in check for small doubles (missing closing paren)
  - added pcre 6.3 sources and adapted configure.in and Makefile.am

Mon Jan 22 16:42:54 Hora oficial do Brasil 2007  klovett@pacbell.net
  * posixwin process-wait signals error, made yield common, added file-control, bugfix for process, added ##sys#thread-yield!, ##sys#file-nonblocking!, ##sys#file-select-one

Mon Jan 22 09:39:09 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: tries to translate "o"/"a" extension for installed files in windows (msvc + mingw32)
  - version is 2.516

Mon Jan 22 02:21:29 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csi: "--" wasn't properly handled [Thanks to Marc Feeley]
  - extras: added "o"

Fri Jan 19 06:44:52 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - chicken-setup: asks user when executing needs tests

Wed Jan 17 07:36:40 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added `C_mwemcpy_slots' internal wrapper macro
  - removed `thread-sleep!/ms', added `time->milliseconds', `milliseconds->time' [suggested by Daishi Kato]

Tue Jan 16 16:36:02 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Stopped spawnvp/execvp warning message, added signal-handler, set-signal-handler!

Mon Jan 15 17:21:47 Hora oficial do Brasil 2007  bunny351@gmail.com
  * forgot to save file with posixunix patch... Hm.

Mon Jan 15 16:09:20 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - added `thread-sleep!/ms' [suggested by Daishi Kato]
  - `file-stat' returns 13-element vector, including device info [thanks to John Cowan]

Wed Jan 10 14:32:26 Hora oficial do Brasil 2007  bunny351@gmail.com
  * fixed bug in printer when record-name was "record" [thanks to Daniel Sadilek]

Fri Jan 12 06:38:12 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - `-emit-exports' sorts output [Suggested by Brandon van Every]
  - version is 2.515

Fri Jan 12 05:39:23 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csc: added support for "CSC_OPTIONS" [Suggested by Stephen Gilardi]

Thu Jan 11 10:35:54 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * removed win-install.bat

Thu Jan 11 09:22:12 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  tagged 2.514-snapshot

Thu Jan 11 09:22:02 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * new development snapshot link in homepage

Thu Jan 11 08:02:52 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * fixed yet another bug in ##sys#do-the-right-thing

Thu Jan 11 07:51:51 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - implementation of require-for-syntax and require-extension was not correct with extensions that have both syntax and runtime parts
  - `include' shows message (in load-verbose mode)
  - version is 2.514

Thu Jan 11 06:44:44 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * posix.exports wasn\'t mentioned in configure.in as boot file

Thu Jan 11 05:12:50 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - utils.scm used eval (which it doesn't have to)
  - `require-for-syntax' did expand into pointless runtime-requirements [Thanks to Joshua Griffith]

Thu Jan 11 03:45:43 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * command-line or first use of (declare (emit-exports ...)) overrides all subsequent declarations

Wed Jan 10 22:41:16 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * make posixwin.scm responsible for posix.exports to avoid file collision with posixunix.scm export of the same

Wed Jan 10 09:24:56 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - added stubs for unimplemented things to posixwin.scm

Wed Jan 10 05:15:32 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - csc.scm: didn't pass extra libraries to linker
  - chicken-setup: basic support for complex egg requirements

Mon Jan  8 11:55:24 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - removed def of C_valloc in lowlevel.scm***END OF DESCRIPTION***
  
  Place the long patch description above the ***END OF DESCRIPTION*** marker.
  The first line of this file will be the patch name.
  
  
  This patch contains the following changes:
  
  M ./lolevel.scm -8 +1
  M ./runtime.c -2 +2
  M ./site/tarballs/index.html +1

Mon Jan  8 13:46:00 Hora oficial do Brasil 2007  klovett@pacbell.net
  * MinGW support for +nan.0, etc.

Mon Jan  8 13:17:31 Hora oficial do Brasil 2007  Brandon J. Van Every <bvanevery@gmail.com>
  * use #cmakedefine, patch courtesy of Ingo Bungener

Sat Jan  6 16:48:39 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - chicken-setup: does ranlib automatically for installed files given in "static" option on macosx
  - posixunix.scm: replaced "intptr_t" with "long" [suggested by Kon]

Fri Jan  5 20:14:32 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - resolved some conflicts
  - version is 2.513

Fri Jan  5 19:25:27 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - added "set-parameterized-read-syntax!" [suggested by John Cowan]
  - version is 2.512

Thu Jan  4 03:30:06 Hora oficial do Brasil 2007  klovett@pacbell.net
  * put back (intptr_t)

Thu Jan  4 02:25:55 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Added ##sys#shell-command

Wed Jan  3 21:51:36 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Added ##sys#shell-command

Wed Jan  3 03:49:48 Hora oficial do Brasil 2007  felix@call-with-current-continuation.org
  * - initial PTE table wasn't enlarged for previous additions
  - version is 2.512

Tue Jan  2 23:33:34 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Split process-wait into public & ##sys# versions

Mon Jan  1 18:09:32 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - resolved conflicts

Mon Jan  1 17:29:50 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - added initial PTE entries for some procedures

Mon Jan  1 12:42:03 Hora oficial do Brasil 2007  bunny351@gmail.com
  * - slight simplification of rewrite-rule for "any?"
  - updated copyright comments to 2007

Sat Dec 30 21:58:36 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * fixed highly likely GC bug

Sat Dec 30 21:58:55 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - inline version of "any?" (C_anyp).
  - version is 2.511

Fri Dec 29 19:16:37 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * fixed ref to intptr_t

Fri Dec 29 19:17:09 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed tinyclos page from wiki directory

Mon Jan  1 13:46:56 Hora oficial do Brasil 2007  klovett@pacbell.net
  * Fix for undefined variable

Sun Dec 31 23:09:43 Hora oficial do Brasil 2006  klovett@pacbell.net
  * Added ##sys#process

Fri Dec 22 05:26:18 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.511

Thu Dec 21 15:50:02 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added "any?" and compiler rewrite-rule

Tue Dec 19 15:07:48 Hora oficial do Brasil 2006  Brandon J. Van Every <bvanevery@gmail.com>
  * moved Automake to dist.cmake so that cmake -E copy won't change timestamps and cause it to run twice

Tue Dec 19 12:33:09 Hora oficial do Brasil 2006  klovett@pacbell.net
  * Chgd use of stdin|out|err as param syms; actually system globals. Added more cpu archs to sysinfo.

Wed Dec 13 20:57:55 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - cscbench: more regex tweaking [thanks to Deanna Phillips]
  - batch-driver: added important diagnostic output
  - dist.cmake: removed obsolete benchmarks
  - compiler: added documentation-extraction hook
  - csc: does not assume /usr/local/include is a standard include path [suggested by Deanna Phillips]

Wed Dec 13 16:15:30 Hora oficial do Brasil 2006  bunny351@gmail.com
  * updated ANNOUNCE

Mon Dec 18 13:13:56 Hora oficial do Brasil 2006  klovett@pacbell.net
  * Removed srfi-4 dependency

Mon Dec 18 04:52:20 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added srfi-4 requirement in posixwin.scm

Mon Dec 18 04:50:57 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added "read-line" input method and implementation for string- and tcp-ports
  - simplified special-casing in "read-line" for stream-ports
  - replaced "process" in posixwin.scm with better version [contributed by mejedi]

Wed Dec 13 08:00:36 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fixed bug in single-variable "let-values" expansion
  - "print-error-message": missing colon in output if exn is a string

Tue Dec 12 11:47:17 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.510
  - added "read-u8vector!"

Tue Dec 12 05:51:27 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added "read-string!"
  - string-ports support "read-string" method

Mon Dec 11 13:10:54 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added basic support for "read-string" method in port class (but unused in the moment)

Mon Dec 11 11:11:04 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: added "required-extension-version"

Mon Dec 11 04:46:00 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: "-V" output showed "Version" twice

Sun Dec 10 20:13:13 Hora oficial do Brasil 2006  bunny351@gmail.com
  * added debian directory (provided by Ivan Raikov)

Sun Dec 10 17:11:21 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - eval: ##sys#canonicalize-body accepts optional container argument (ignored, but useful for hooking)

Sun Dec 10 16:03:59 Hora oficial do Brasil 2006  klovett@pacbell.net
  * added signal-handler, signal-mask, signal-masked?, signal-mask!, signal-unmask!

Fri Dec  8 11:43:59 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: added "required-chicken-version"

Fri Dec  8 10:37:54 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: added "-revision" option

Fri Dec  8 04:59:12 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - calling "error" with first and second arg being symbols resulted in a failing string-append

Thu Dec  7 11:18:58 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * updated ANNOUNCE

Thu Dec  7 18:58:59 Hora oficial do Brasil 2006  klovett@pacbell.net
  * Move of all non-apropos releated environment code to environment egg

Thu Dec  7 14:07:00 Hora oficial do Brasil 2006  klovett@pacbell.net
  * Environment extn; v2

Thu Dec  7 05:23:26 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * removed a check (should have been in last patch)

Thu Dec  7 05:09:57 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed some safety checks from ##sys#walk-namespace and other namespace routines
  - added a few helper scripts
  

Wed Dec  6 22:27:35 Hora oficial do Brasil 2006  klovett@pacbell.net
  * Chez Scheme-ish environment utilities; v1

Tue Dec  5 05:16:47 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * remove CMake version number from INSTALL-CMake.txt so we don't have to keep chasing it around

Tue Dec  5 05:12:02 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * require CMake 2.4.5

Mon Dec  4 17:37:32 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - resolved conflict in README
  - version is 2.508

Mon Dec  4 17:06:20 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - updated link to libffi-3 in README, modified layout
  - hash-table-update![/default] returns update value

Thu Nov 30 18:55:29 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - calling "(error #f)" doesn't crash anymore, zero arguments are allowed.
  - slight modifications of the way errors are displayed.

Thu Nov 30 17:51:47 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - "define-values" and "set!-values" handle single-value case better

Mon Nov 27 19:59:04 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added Mario's wiki2pdf script
  

Mon Dec  4 12:37:53 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - compiler doesn't "provide" srfi-1, extras and srfi-4 anymore at compile-time [reported by Marc Feeley]

Fri Dec  1 12:40:25 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - "let-values" optimizes the single-value case.

Wed Nov 29 11:51:14 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * tiny things

Wed Nov 29 10:47:41 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added Mario's patch for makehtmldoc
  - added html for tarball archive
  - srfi-4: added "read-u8vector" and "write-u8vector"
  - "receive" handles single-value case better
  - version is 2.507

Mon Nov 27 12:52:35 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csi: ",d" item coalescing counted one too many
  - cscbench: didn't match timing-output in scientific notation [Reported by Deanna Phillips]

Fri Nov 17 10:47:47 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - library: added call to ##sys#gc in ##sys#dunload

Sun Nov 26 08:48:29 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - error-message shown on breakpoint did split application form
  - csi: ",d" folds runs of eq? elements in sequences
  - version is 2.506

Sat Nov 25 06:11:55 Hora oficial do Brasil 2006  bunny351@gmail.com
  * fixed bug in "load" (loading from port crashed, thanks to "$)")

Thu Nov 23 03:57:08 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * use WORKING_DIRECTORY to work around Darcs limitations on Cygwin

Thu Nov 23 03:08:16 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * use VERSION for Cygwin dll

Thu Nov 23 03:07:02 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * added marginally useful WINDOWS_PATH macro

Wed Nov 22 17:04:36 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * correction to tutorial.  Couldn't unrecord / rerecord for some reason.

Wed Nov 22 15:43:36 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * tutorialized STACK_GROWS_DOWNWARD

Wed Nov 22 07:20:25 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * updated most comments about CMake 2.4.3 to CMake 2.4.4.

Wed Nov 22 06:31:11 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * use --repodir and native paths for Darcs command

Wed Nov 22 06:19:57 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * ESCAPE_BACKSLASHES and ESCAPE_QUOTES macros

Tue Nov 21 21:33:06 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * update to CMake 2.4.4 in docs

Tue Nov 21 20:52:47 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * CMake 2.4.4 now handles apostrophes in -E echo

Tue Nov 21 20:40:13 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * removed NATIVE_COMMAND_EXE_PATH as it's dead code and refers to a bug that's been fixed in CMake 2.4.4.

Tue Nov 21 19:39:25 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * require CMake 2.4.4

Sat Nov 18 18:03:59 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: removed single-file installation, fetch-only with existing egg[-dir] should work
  - csi.1/chicken-setup.1: updated

Fri Nov 17 20:22:21 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: didn't install documentation files (!)
  - chicken-setup: added "-destdir" option [originally suggested by Peter Busser]
  - csi: added "-ss" option

Wed Nov 15 18:56:35 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: -svn, -tree and -local options, sorted manual page
  - version is 2.505

Fri Nov 17 08:44:52 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - runtime.c, library.scm, chicken.h: first attempt at implementing ##sys#dunload

Wed Nov 15 16:30:59 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: added "-tree FILENAME" option

Wed Nov 15 11:19:57 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - slight modification to repl/unbound warning output
  - eval: fixed unbound variable bug in ##sys#load
  - chicken-more-macros: expansion of ":optional" is more efficient in unsafe code***END OF DESCRIPTION***
  
  Place the long patch description above the ***END OF DESCRIPTION*** marker.
  The first line of this file will be the patch name.
  
  
  This patch contains the following changes:
  
  M ./Buildfile -5 +8
  M ./chicken-more-macros.scm -3 +5
  M ./eval.scm -5 +6

Tue Nov 14 06:10:24 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - eval/repl: the repl warns about references to unbound toplevel vars

Thu Nov  9 19:46:05 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - compiler rewrites `void' and `##sys#void' to a reference to ##sys#undefined-value (can't be ##core#undefined directly since the compiler makes some assumptions about this)
  - version is 2.504

Thu Nov  9 15:03:18 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - csi: ",breakall" was inverted
  - added rewrite rules for [su]32vector-ref (unsafe mode)

Mon Nov  6 18:53:56 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - posixunix.scm: marked some old-style setters as deprecated

Tue Nov  7 03:59:26 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - slight rearrangement of notes add by Brandon to README/README.darcs

Tue Nov  7 01:23:39 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * added mailing list pointers in README files

Sat Nov  4 05:04:31 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: uses of `(string=? ... (pathname-extension ...))' use `equal?' now [thanks to Dan Muresan]

Fri Nov  3 07:40:27 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fixed silly bug in `define-deprecated-macro' (used format string without formatting it)
  - updated new wiki links

Thu Nov  2 18:52:49 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - posixwin.scm: fixed some problems in "process" and hacked around Win32 limitation (or my lack of knowledge about it)

Mon Oct 30 19:36:02 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - fixed some comments in compiler.scm, experiments with inline-export
  - lolevel: "move-memory!" didn't handle string -> locative movement
  - version is 2.503

Tue Oct 31 04:49:40 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - configure.in: better optimization options for Sun compiler [Thanks to Sven Hartrumpf]

Thu Oct 26 07:19:08 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - cscbench: silly bug in call to "suncc -V"
  - CMakeLists.txt: added option USE_DYNAMIC_C_RUNTIME (passed /MD)

Thu Oct 26 06:28:57 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posixunix.scm: added setters for file-position, current-user-id, current-group-id, process-group-id
  - version is 2.502

Thu Oct 26 05:33:00 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * suncc check in configure.in was the wrong way around

Thu Oct 26 05:04:33 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added support for Sun's compiler in cscbench and configure.in

Mon Oct 23 17:51:34 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - undid broken flonum-change that resulted in insufficient storage allocation for flonums
  - chicken-setup: does not include undoc'd extensions in doc-index [thanks to Kon Lovett]

Mon Oct 23 16:57:00 Hora oficial do Brasil 2006  bunny351@gmail.com
  * configure.in fixes for double-size detection

Mon Oct 23 16:32:18 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - applied Zbigniew's "sizeof(double) == 2" patches

Sat Oct 21 15:58:44 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - slight changes to README.darcs

Wed Oct 18 13:21:44 Hora oficial do Brasil 2006  bunny351@gmail.com
  * updated README

Fri Oct 20 09:37:26 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added CHICKEN_SETUP_OPTIONS

Thu Oct 19 09:46:11 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.501

Tue Oct 17 05:14:28 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * doc update, distribution files update

Mon Oct 16 17:03:48 Hora oficial do Brasil 2006  bunny351@gmail.com
  tagged 2.5-release

Mon Oct 16 16:48:05 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.5

Fri Oct 13 11:31:31 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: when installing directly from URL, don't ask for download

Thu Oct 12 15:41:23 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed shootout benchmarks
  - cscbench: passed -DC_NO_PIC_NO_DLL to cc [Thanks to John Cowan]

Mon Oct  9 16:57:11 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - runtime.c: comment typo fix and added cast to remove warning on suncc [Thanks to Sven Hartrumpf]

Thu Oct 12 03:28:35 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posixunix.scm: WIF_... hack must be enabled for suncc [Thanks to Sven Hartrumpf]

Mon Oct  9 10:37:29 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - small addition to hen.el
  - runtime.c: invalid string constructor for suncc build-platform id [Thanks to Sven Hartrumpf]

Wed Oct  4 05:20:00 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  tagged 2.5rc1-snapshot

Wed Oct  4 05:19:36 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - CMakeLists.txt: fetching installed release handles "rc..." suffix

Wed Oct  4 04:21:01 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.5rc1
  - dist wrapping fixes
  

Sun Oct  1 13:33:39 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * capitalized my last name and fixed 2 typos

Sun Oct  1 05:04:50 Hora oficial do Brasil 2006  bunny351@gmail.com
  * buildfile doc generation

Sat Sep 30 11:27:14 Hora oficial do Brasil 2006  bunny351@gmail.com
  * more packaging fun

Sat Sep 30 10:31:13 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - fixed various files - this whole build shit sucks

Sat Sep 30 08:25:44 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - more documentation changes
  - configure.in: put -DC_NO_PIC_NO_DLL here

Sat Sep 30 05:05:55 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: "-test" lists missing extensions
  - updated NEWS and various documentation files

Fri Sep 29 19:35:47 Hora oficial do Brasil 2006  bunny351@gmail.com
  * removed unneeded file from dist.cmake

Fri Sep 29 17:20:47 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - autoconf build: -DC_NO_PIC_NO_DLL always defined

Thu Sep 28 08:42:52 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * ##sys#peek-c-string-list and makehtmldoc fix

Thu Sep 28 06:02:32 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * makehtmldoc fixes

Thu Sep 28 04:00:55 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - dist.cmake: hyphenated html filenames
  - makehtmldocs improved, added necessary stream-wiki extensions

Wed Sep 27 08:17:53 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * html generation fix

Wed Sep 27 07:36:03 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed unneeded option passed to CFLAGS in csc

Wed Sep 27 06:10:27 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - makehtmldoc works now [Thanks to Alejandro]
  - version is 2.434

Mon Sep 25 18:29:34 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - csi: narrower feature list in report (",r")

Fri Sep 22 19:07:10 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added "CHICKEN_interrupt()"

Sun Sep 17 09:27:28 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - ##sys#macroexpand-0 is externally visible
  - csi: features are separated by tab in report (,r)
  - version is 2.433

Mon Sep 25 11:24:19 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * htmldocscript fiddling

Mon Sep 25 10:40:03 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added machine-type, machine-byte-order, software-version and software-type as features [suggested by Kon Lovett]

Mon Sep 25 06:10:08 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - "exn" conditions with no-string "location" property segfaulted error-message priner [Thanks to Peter Bex]

Sat Sep 23 04:39:24 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * always build Darcs ChangeLog unconditionally so it stays up to date

Fri Sep 22 07:22:46 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fixed bug in "foreign-code"

Fri Sep 22 04:58:06 Hora oficial do Brasil 2006  fw[_\c3_]@emlix.com
  * posixunix compiles with uCLinux

Fri Sep 22 04:49:19 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: untarring egg lists contents only in verbose mode
  - chicken-setup: "-test" option
  - "foreign-code" accepts multiple strings
  - sed script for CFLAGS in Makefile.am should handle commas

Fri Sep 22 05:16:11 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * define IS_CMAKE_243 to bracket bugs specific to CMake 2.4.3.  Not actually used yet.

Thu Sep 21 18:27:42 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * added check for HAVE_ALLOCA

Thu Sep 21 18:26:41 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * MinGW needs malloc.h for alloca

Thu Sep 21 17:56:48 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * proper indentation level for _AIX pragma alloca

Thu Sep 21 14:54:27 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * find darcs, let user specify darcs

Thu Sep 21 06:47:36 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * robust handling of Darcs ChangeLog.  Tested on MSYS and MSVC.

Mon Sep 18 20:07:09 Hora oficial do Brasil 2006  klovett@pacbell.net
  * Fix for (decompose-pathname "/foo") -> ("" "foo") but -> ("/" "foo") correct.

Mon Sep 18 03:17:49 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken.h: uses "..." instead of <...> when including config headers

Mon Sep 18 03:01:15 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * attempted to bulletproof install-opengl-egg success / failure report, but found a CMake bug

Mon Sep 18 02:12:18 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * status messages for mkdir, rmdir

Mon Sep 18 00:59:53 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * don't ask whether to download opengl egg

Mon Sep 18 00:31:26 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * added install-opengl-egg target

Sun Sep 17 18:44:22 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * added tutorial comments to CMakeLists.txt

Sat Sep 16 09:10:20 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * build all static libs and exes in /static directory to work around CMake bug

Sat Sep 16 05:34:07 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added html dir to OS X distro build script
  - chicken-setup: removal of temporary directory may fail now (issues a warning) [Thanks to John Cowan]

Sat Sep 16 04:22:11 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.432

Sat Sep 16 04:02:48 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - help for chicken-setup didn't mention argument to -R option [Thannks to Mario Goulart]

Fri Sep 15 09:26:53 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - commented out bench target in CMakeLists.txt. Will need modifications to cscbench.scm to handle out of
    directory builds

Thu Sep 14 14:31:02 Hora oficial do Brasil 2006  bunny351@gmail.com
  * cmake bench target (doesn't work yet)

Thu Sep 14 14:09:04 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - dist.cmake: refers to new location of cscbench.scm

Thu Sep 14 13:10:37 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - cscbench is built in toplevel dir
  - updated README

Thu Sep 14 12:40:32 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - CMakeLists.txt: removed build-type library suffixes
  - makefile.vc is gone

Thu Sep 14 09:48:33 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fluid-let with empty binding-list resulted in invalid syntax

Tue Sep 12 13:41:51 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - Makefile.am: copying rule for html file ignores status (ugly, but I'm tired)

Tue Sep 12 12:55:04 Hora oficial do Brasil 2006  bunny351@gmail.com
  * fixed another misspelling bug in csc.scm

Tue Sep 12 12:53:26 Hora oficial do Brasil 2006  bunny351@gmail.com
  * fixed bug in csc.scm regarding cmake-build

Tue Sep 12 08:41:18 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version-string extraction in CMakeLists.txt handles non-numeric subversion
  - version is 2.431
  - chicken-setup: dependency-tree build should now really work [Thanks to Peter Bex]

Tue Sep 12 05:56:27 Hora oficial do Brasil 2006  bunny351@gmail.com
  * htmldoc handling in CMakeLists.txt and dist.cmake

Tue Sep 12 05:40:29 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - Makefile.am: installs HTML docs, if available
  - first attempt at htmldoc handling in CMakeLists.txt

Mon Sep 11 04:48:46 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fixed bug in CMakeLists.txt

Mon Sep 11 03:39:14 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added ENABLE_DEBUG_BUILD option to CMakeLists.txt

Sun Sep 10 22:54:41 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * bulletproofing of INCLUDE_DIRECTORIES

Sun Sep 10 22:10:15 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * William Hoffman suggests that putting all INCLUDE directives after the PROJECT directive may be safer

Sun Sep 10 21:43:38 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * make ChangeLog an ALL target so it is available for installation (thanks to Thomas Chust)

Sun Sep 10 09:36:32 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - some enhancements to makehtmldoc

Sun Sep 10 08:57:53 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added "cmake" build feature to "chicken-version"
  - unrecorded obsolete CMakeLists.txt patch for buildversion extraction
  

Sun Sep 10 17:19:13 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * activated rudimentary Dart Dashboard support

Sun Sep 10 03:36:44 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * bulletproof dependencies for parallel builds (suggested by William Hoffman of Kitware)

Sat Sep  9 18:42:01 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * no more BINARY_DIR_FILES

Sat Sep  9 18:27:45 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * make dist needs to be an ADD_CUSTOM_COMMAND with outputs so that if something fails, it is not reported as success

Sat Sep  9 18:21:40 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * simplify error handling of ChangeLog and Darcs

Sat Sep  9 18:15:16 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * remove buildnumber from distribution

Sat Sep  9 17:20:30 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * noted the availabiliby of -release in all tools as of Chicken 2.430 (thanks Felix!)

Fri Sep  8 09:39:13 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - Fixed bug in CMakeLists.txt (missing substitutions for chicken-defaults.h.in) caused by ME, AND ME ALONE, YES!!!
  - Added `-release' option to all tools (as suggested by Brandon in CMakeLists.txt)

Fri Sep  8 05:53:15 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * use -release to obtain buildversion

Fri Sep  8 04:12:16 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * use the new buildversion file

Thu Sep  7 22:11:26 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * build static libs in /static directory to avoid bug in CMake 2.4.3

Thu Sep  7 21:34:51 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * documented tarball build procedure

Thu Sep  7 11:02:32 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version-identifer handling simplified
  - version is 2.430

Thu Sep  7 09:58:07 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - configure.in: kludge BOOT_CFILES for cross-compile from tarball
  - --without-pcre option

Thu Sep  7 05:47:01 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - slight change in configure.in for omitting boot-file test when cross-compiling

Thu Sep  7 04:28:55 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - some changes related to target-specific CC/CXX and flags

Thu Sep  7 03:48:15 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * move Chicken detection to beginning of CMake script, so that we don't waste time doing tedious tests if we can't actually build

Thu Sep  7 01:52:44 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * add GCC optimization flags

Wed Sep  6 22:34:32 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * include autogen.sh in distro, so that a distro can create a distro

Tue Sep  5 09:12:32 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * don't scold user if they don't have CHICKEN_HOME set.  Only legacy MSVC builds should have it set.

Mon Sep  4 20:22:44 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * ship all .c files and use all of them when building a distribution tarball.  Autoconf support complete.  CMake needs more work to use all .c files.

Mon Sep  4 18:27:22 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * more credit for my extensive Makefile.am hacking

Mon Sep  4 16:57:29 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * require Automake 1.8.3

Mon Sep  4 06:16:32 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * misinterpreted BOOT_CFILES

Mon Sep  4 04:27:45 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - CMake-generated distribution didn't include unsafely compiled C files

Mon Sep  4 04:56:13 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * simplify dist dependencies

Mon Sep  4 04:55:59 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * create .zip archive

Mon Sep  4 04:07:44 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fixed conflict in support.scm
  - added csi.c to BOOT_CFILES***END OF DESCRIPTION***
  
  Place the long patch description above the ***END OF DESCRIPTION*** marker.
  The first line of this file will be the patch name.
  
  
  This patch contains the following changes:
  
  M ./CMakeLists.txt +1
  M ./Makefile.am -1 +1
  M ./configure.in -1 +1
  M ./support.scm -2

Mon Sep  4 03:40:15 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * fixed conflicts in compiler, commented dependency on automake 1.9.6

Fri Sep  1 06:13:59 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed compiler-internal version of "flonum?"

Mon Sep  4 00:28:33 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * activate unified bootstrap!

Sun Sep  3 21:27:35 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * consolidate dependencies and use _SOURCES to specify .c files

Sun Sep  3 14:13:17 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * resolve merge conflict and comment about EXECUTE_PROCESS being wrong

Sun Sep  3 05:33:50 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * CMake 'make dist' now runs Autotools and produces a complete distro

Sat Sep  2 19:17:07 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * determine if boot *.c files are available and set conditionals.  No actions taken, still just a stub.

Sat Sep  2 14:54:16 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * use += to make bin_PROGRAMS less verbose

Sat Sep  2 14:47:00 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * AM_CONFIG_HEADER is obsolete, use AC_CONFIG_HEADERS

Sat Sep  2 07:21:55 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * EXTRA_LINK_FLAGS not consumed and not a documented part of Autotools, so removed.

Sat Sep  2 07:14:19 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * LINKFLAGS not consumed and not a documented part of Autotools, so removed.

Sat Sep  2 07:13:24 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * USE_BOOT_CFILES conditional stub, doesn't do anything yet

Sat Sep  2 06:50:39 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * refactord posix and regex conditionals to be less verbose

Sat Sep  2 06:49:16 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * no makeinfo, so don't need AM_MAKEINFOFLAGS

Sat Sep  2 11:04:03 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed compiler-version of "flonum?"
  - added "finite?"
  - "define-record[-type]" uses slightly more efficient expansion"

Fri Sep  1 19:09:32 Hora oficial do Brasil 2006  farr@mit.edu
  * Updated unsafe-structures.

Fri Sep  1 17:30:00 Hora oficial do Brasil 2006  farr@mit.edu
  * Unsafe structures.

Sat Sep  2 04:32:36 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * INCLUDES is depreciated, use AM_CPPFLAGS instead.

Fri Sep  1 17:52:10 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * distribute .exports because ./configure is a one-stage bootstrap and won't generate them itself, unlike CMake

Fri Sep  1 09:58:54 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * distribute 'ltmain.sh' and 'compile' (latter is needed by Autotools 1.9.6)

Fri Sep  1 04:49:04 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * require Automake 1.9.6, which is available in current Cygwin distributions.

Fri Sep  1 03:49:46 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * delete distribution archive before creating it

Fri Sep  1 03:41:31 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * CMake shall be the canonical method for building a distro, so no special designator for tarball name.

Fri Sep  1 04:26:47 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - incorporated Will Farr's patches for floating-point operations with sane semantics.
  - added compiler-rewrite rule for "flonum?"

Thu Aug 31 08:05:23 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - CMakeLists.txt: darcs probe should now generate no output (and clobber ccmake output)

Wed Aug 30 10:31:37 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - Makefile.am: program sources (.c) shouldn't depend on chicken executable

Thu Aug 31 05:00:00 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * distribute configure.in and Makefile.am just in case user wants to dink with something

Thu Aug 31 04:11:26 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * no more *.c.in files.  Put files in /boot/cfiles/*.c

Thu Aug 31 04:01:24 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * do not distribute README.darcs

Thu Aug 31 04:00:11 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * remove mkinstalldirs from README

Thu Aug 31 03:59:34 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * clarify INSTALL vs. INSTALL-CMake.txt in README

Thu Aug 31 03:43:20 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * TASKS no longer in Darcs, so removed it from distro and from README

Thu Aug 31 03:37:01 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * mkinstalldirs not needed in distro, install-sh is used

Wed Aug 30 19:12:14 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * added Autoconf files to CMake distribution script

Wed Aug 30 17:26:31 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - extras.scm: removed 32-bit dependency in "hash" [Thanks to Kon Lovett]
  - chicken-setup: another missing quotewrap [Reported by Brandon]
  

Wed Aug 30 16:19:25 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - csc/chicken-setup: replaced HOST vars with TARGET ones

Tue Aug 29 01:36:55 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: "test-compile" knows a bit about C++, uses different host compiler (defaults to build compiler)
  - csc: uses different host compiler
  - chicken-setup: also build from egg-directory (without egg)

Tue Aug 29 00:20:22 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - predist: removes unecessary files
  - reader gives warning on unterminated "here" string literals

Wed Aug 30 17:21:18 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * simplified csi build rule and updated .scm dependencies

Wed Aug 30 05:06:38 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - CMakeLists.txt: csi didn't use build.scm prologue anymore

Wed Aug 30 04:31:35 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - string hashing functions (internal, in runtime.c and external in extras.scm) do not limit number of characters hashed or
    number of bits returned [suggested by Kon Lovett]

Mon Aug 28 03:47:22 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: reverses order of egg requirements [Thanks to John Cowan]
  - extras.scm: "string[-ci]-hash" were broken [Thanks to Kon Lovett]

Sat Aug 26 04:22:33 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * CMake simple names for CC and CXX

Fri Aug 25 18:06:54 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * MSVC legacy compilers cannot be used to bootstrap Cygwin compilers

Fri Aug 25 16:33:36 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * CMake L_MORE_LIBS needs to be converted to a string

Fri Aug 25 05:17:43 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * CMake update dist.cmake

Fri Aug 25 05:06:06 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * CMake merged with Felix's extensive changes

Thu Aug 24 19:23:00 Hora oficial do Brasil 2006  Brandon Van Every <bvanevery@gmail.com>
  * use sed to create chicken-defaults.h from chicken-defaults.h.in

Wed Aug 23 20:15:17 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - merged with Brandon's stuff:
    * uses chicken-defaults.h instead of chicken-paths.h
    * stack-size.h isn't needed anymore
    * removed nsample
  - configure.in: didn't AC_SUBST STACK_GROWS_DOWNWARD

Wed Aug 23 18:45:20 Hora oficial do Brasil 2006  bunny351@gmail.com
  * merged with head

Wed Aug 23 17:54:30 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - small bugfix in Makefile.am
  - another bugfix in "make-pathname"
  - bitwise-ops on 64-bit platforms use full 62-bit fixnum range [Thanks to Zbigniew]

Mon Aug 21 19:25:12 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - "darcs dist -d chicken-XXX" should generate a proper tarball, now

Mon Aug 21 18:53:59 Hora oficial do Brasil 2006  bunny351@gmail.com
  * added predist script

Mon Aug 21 18:36:44 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed herald stuff again
  - make-pathname: accepts additional optional separator string
  - chicken-setup: uses above mentioned feature for constructing download URL [problem reported by Brandon van Every]
  - simplified build system by removing necessity to run generated executables during build:
    a) nsample isn't run anymore
    b) source distribution tarball should contain all files in precompiled (.c) form
    c) csc uses chicken-defaults.h for build settings

Sat Aug 19 19:32:35 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.246
  - added internal support for file heralds (T-ish)
  - csc: when only given .c files, compile them as C code

Thu Aug 17 18:34:24 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed parameters.scm from misc/release.setup, some small modifications
  - posixunix.scm: added fake "groups" struct def to handle case when grp.h isn't available 

Wed Aug 16 16:14:59 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  tagged 2.425-experimental

Wed Aug 16 16:14:15 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed minimake stuff
  

Fri Aug 11 16:22:43 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - moved "chicken-home" into eval.scm

Wed Aug 23 09:28:37 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * Automake remove extraneous dependencies

Wed Aug 23 08:04:48 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * Automake chicken-paths.h should be a BUILT_SOURCES

Wed Aug 23 07:12:55 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * comment about inadequacy of nsample benchmarking

Wed Aug 23 05:30:01 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * $(DESTDIR) should never be hardwired into application files.  See GNU Coding Standards.

Wed Aug 23 05:19:50 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * in sed, \@foo\@ is not posix compliant, but @foo[@] is.

Wed Aug 23 05:03:48 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * quote the messages

Wed Aug 23 04:51:47 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * chicken.h includes chicken-paths.h

Tue Aug 22 19:47:02 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * move C_USE_C_DEFAULTS and C_STACK_GROWS_DOWNWARD to chicken-config.h

Tue Aug 22 19:44:38 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * credit for Brandon Van Every

Mon Aug 21 14:58:55 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * update make clean

Mon Aug 21 14:15:34 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * update the uninstall

Mon Aug 21 06:56:32 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * remove redundant -DC_STACK_GROWS_DOWNWARD

Mon Aug 21 06:26:25 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * comment about stack-size.h

Mon Aug 21 06:22:34 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * remove redundant C_USE_C_DEFAULTS conditionals

Mon Aug 21 06:04:43 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * pass chicken-paths.h through chicken.h

Mon Aug 21 05:42:47 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * guard against multiple inclusions

Mon Aug 21 05:41:16 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * comment correction

Sun Aug 20 18:31:52 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * forgot to save changes in my editor

Sun Aug 20 17:07:13 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * expunge chicken.html, chicken.texi, chicken.info, parameters.scm

Sun Aug 20 10:20:25 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * Always bury the dead bodies.

Sun Aug 20 10:05:22 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * -DC_STACK_GROWS_DOWNWARD is redundant to -DC_USE_C_DEFAULTS.  chicken-paths.h defines it.

Sun Aug 20 10:00:09 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * -DC_INSTALL_* paths are redundant to -DC_USE_C_DEFAULTS.  chicken-paths.h holds all paths.

Sun Aug 20 09:52:34 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake move CMAKE_BUILD to chicken-config.h

Sun Aug 20 09:38:39 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake pass -DC_USE_C_DEFAULTS

Sun Aug 20 09:36:52 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * -DHAVE_ALLOCA_H does not need to be passed, as it is defined in chicken-config.h

Sun Aug 20 07:36:02 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake generate a chicken-config.h

Sat Aug 19 08:16:56 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * ./configure changed chicken-defaults.h to chicken-paths.h and stack-size.h.  Needed to merge with CMake build.

Sat Aug 19 07:47:44 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake configure chicken.spec.in

Fri Aug 11 05:55:31 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake removed stray parameters.scm dependency

Fri Aug 11 04:08:50 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed "$" and "modify-location" (put into eggs)
  - fix for "read-line" on PPC by Mari Domenech Goulart

Thu Aug 10 08:53:26 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - bitwise-operations limit result to 32-bit on 64-bit platforms [problem with overflow reported by Zbigniew Szadkowski]

Thu Aug 10 08:47:28 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake doesn't require Windows Platform SDK

Thu Aug 10 08:02:18 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed chicken.texi and makefile rules
  - fixed missing constant in optimizer.scm [Thanks to Kon Lovett]
  - removed "cmake-build" (done directly in csc, now)

Wed Aug  9 10:46:07 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed parameters.scm, some simplifications

Tue Aug  8 16:15:23 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * removed flat-directory-install, replaced with cmake-build

Tue Aug  8 10:34:15 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: bugfix for script-installation by Mario
  - valgrind detected invalid memory access in fprintf implementation
  - tried to fix massive breakage caused by variable renaming
  

Tue Aug  8 06:34:24 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * path rationalization.  INSTALL_SHARE_HOME, INSTALL_LIB_HOME, INSTALL_EGG_HOME

Tue Aug  8 04:38:35 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake MSVC build uses -s for static lib postfix

Tue Aug  8 02:12:26 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake removed 2 leftover easyffi dependencies

Mon Aug  7 19:37:59 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed easyffi and tinyclos, fixed various bugs in the process
  - version is 2.424

Mon Aug  7 11:40:04 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - srfi-18: fixed a serious bug in "thread-join!" [Thanks to dgym]

Mon Aug  7 06:27:50 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: most pathnames used in subshell invocations should be quoted, if containing whitespace

Sat Aug  5 06:14:43 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake check for ws2tcpip.h also needs winsock2.h to work

Sat Aug  5 04:12:46 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake warn if winsock2.h or ws2tcpip.h is missing.

Fri Aug  4 23:00:59 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake Cygwin was symlinking static rather than dynamic libraries

Fri Aug  4 17:28:32 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake implemented uninstall

Fri Aug  4 07:15:19 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake Cygwin symlink to libchicken-0.a

Thu Aug  3 19:11:30 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake use libchicken-s.a to work around CMake 2.4.3 bug in static vs. dynamic library generation

Thu Aug  3 13:21:59 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake 2.4.3 clobbers static and dynamic libs with same rootname.  Symlinks as workaround, but aren't available on MSYS.

Wed Aug  2 22:26:46 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake hyphenated postfix conventions for MSVC

Wed Aug  2 22:24:57 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake symlink to cygchicken.dll

Tue Aug  1 19:20:37 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake cleanup nomenclature for Cygwin, postfixes for MSVC

Tue Aug  1 03:19:47 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posixunix.scm: replaced timegm() hack for cygwin/svr4 [Thanks to John Cowan for testing this]
  - fixed bug in optimization-rule for "call-with-values" [Thanks to Azul for reporting this]
  - version is 2.423

Mon Jul 31 15:45:37 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed deprecated "set-dispatch-read-syntax!"
  - `#!' allows read-marks (used via "sed-read-syntax!") and skips line if followed by whitespace or slash

Mon Jul 31 10:31:32 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.422
  - cscbench: doesn't pass -ldl anymore

Mon Jul 31 07:28:10 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * Solaris needs -lrt

Mon Jul 31 02:01:34 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * Solaris needs -lsocket

Sun Jul 30 18:28:46 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * quotewrapping for non-win because it could be MinGW

Sun Jul 30 17:48:06 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake add -c- to tarball name to distinguish CMake build.

Mon Jul 24 16:32:46 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * more quotewraps in csc.scm.in

Fri Jul 28 09:43:05 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posixunix.scm: "local-timezone-abbreviation" doesn't use ->tm_zone on SVR4 [Thanks to John Cowan]
  - minimal simplification to Makefile.am
  - added "modify-location"

Mon Jul 24 18:29:50 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - csc.scm.in: gets -DHAVE_CHICKEN_CONFIG passed via Makefile.am

Mon Jul 24 14:17:09 Hora oficial do Brasil 2006  bunny351@gmail.com
  * fixed comment in csc.scm.in

Mon Jul 24 13:23:31 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake INSTALL_LIB_HOME is not the egg directory

Mon Jul 24 12:14:32 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * removed hardwired -DHAVE_CHICKEN_CONFIG_H from csc.scm.in.  Flags must be passed by the build system through @INSTALL_CFLAGS@

Mon Jul 24 11:39:20 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * remove HIERARCHICAL_INSTALL.  use CMAKE_BUILD instead.

Mon Jul 24 04:16:32 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake handle Cygwin naming conventions

Sun Jul 23 13:26:36 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake isolate library naming code

Mon Jul 24 04:15:36 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csc.scm.in: fixed use of backslash in non-windows path

Fri Jul 21 03:43:01 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.421

Sun Jul 23 12:15:45 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake makeinfo and darcs need to be ALL targets, thanks to John Cowan

Fri Jul 21 23:52:55 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * if win paths should be backslashed

Fri Jul 21 23:42:16 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake don't quote the INSTALL_* paths.  Let the source files handle that.

Fri Jul 21 06:37:17 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake remove stack-size determination from standard build.  Too error prone for a multitasking user.

Fri Jul 21 05:19:57 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake bumped stack-size samples to 100 and added low-high variance reporting

Fri Jul 21 04:23:07 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake ECHO_TARGET to try to prevent tedium and errors with stubbed targets

Thu Jul 20 22:52:06 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake test if makeinfo actually works.  Discovered EXECUTE_PROCESS is bugged in CMake 2.4.2 for MSYS VC++ corner case.

Thu Jul 20 16:13:35 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake test if Darcs works.  Remove ' apostrophes from -E echo comments.  It can't handle it!

Thu Jul 20 14:27:27 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake handle MAKE_NATIVE_C_PATH for all platforms

Thu Jul 20 05:28:15 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.42
  - read-line patch by Zbigniew Szadkowski

Thu Jul 20 01:11:40 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake and ./configure use @ for csc.scm.in

Wed Jul 19 16:33:27 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake additional empty directory installation paranoia courtesy of Brad King

Wed Jul 19 13:50:03 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake fix for eggs directory installation

Wed Jul 19 07:33:10 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * csc.scm.in minifix

Wed Jul 19 05:51:00 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fixed links in site/index.html [Thanks to Alex Drummond and Toby Butzon]
  - extra symbol slot was handled incorrectly in ##sys#make-symbol [Thanks to Benedikt Rosenau]

Wed Jul 19 05:11:37 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake MAKE_WINDOWS_PATH should not escape the quotes

Wed Jul 19 02:23:38 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake comments about compiler paths and optimizations

Wed Jul 19 02:05:42 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake mirror the INSTALL_* pathnames as generated by ./configure

Wed Jul 19 01:22:39 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake if MAKE_WINDOWS_PATH is passed an already escaped or backslashed pathname, fail the build.

Tue Jul 18 14:30:54 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake MAKE_WINDOWS_PATH escape quotes and backslashes but not whitespace

Mon Jul 17 07:18:01 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake don't need quotes on STACK_GROWS_DOWNWARD

Mon Jul 17 16:45:49 Hora oficial do Brasil 2006  bunny351@gmail.com
  tagged 2.41-release

Mon Jul 17 12:36:28 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.41

Mon Jul 17 10:59:53 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.402
  - fixed bug in library.scm (token after #endif)
  - on cygwin, cygchicken-0 is used until we figure out more details
  

Mon Jul 17 06:20:05 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake removed chicken-defaults.h, replaced with chicken-paths.h and stack-size.h

Mon Jul 17 02:35:39 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - dynamic-load-libraries is now always '("libchicken")

Sun Jul 16 04:59:04 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.401

Sun Jul 16 04:58:29 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: patch by Zbigniew Szadkowski fixed several problems; requirements where not correctly processed

Sat Jul 15 11:06:22 Hora oficial do Brasil 2006  bunny351@gmail.com
  tagged 2.4-release

Sat Jul 15 11:05:59 Hora oficial do Brasil 2006  bunny351@gmail.com
  * VC++ makefile didn't compile llibs with lambda info

Sat Jul 15 11:07:54 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * removed refs to partition.* in release script

Sat Jul 15 09:12:23 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - makefile.vc: removed unneded -DC_APPLY_HOOK

Sat Jul 15 08:56:24 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - small fixes in release script

Sat Jul 15 07:43:40 Hora oficial do Brasil 2006  bunny351@gmail.com
  * added file to file-list in README

Sat Jul 15 07:36:06 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added site dir and chicken image
  - chicken-setup: "-no-install" implied "-keep" (but doesn't pass -k to csc)
  - fprintf: didn't check type of port argument
  - version is 2.326
  - version is 2.4

Sun Jul 16 03:00:24 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake nursery support

Sat Jul 15 04:04:38 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake removed errant reference to vars.cmake.in

Fri Jul 14 10:39:14 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - pathname-directory-separator on mingw32 should be #\\, or not?

Fri Jul 14 09:24:40 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - marked "critical-section" and "(enable|disable)-interrupts" as deprecated (and removed
    them from texi)
  - csc: wraps translator name in double-quotes, if containing whitespace
  - parameters.scm: still had traces of "libchicken-0" for dynamic loading, which is obsolete [Thanks to Ian Oversby]

Fri Jul 14 02:34:31 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - used better test-case for srfi-18/mutex bug [Thanks to G[_\c3_][_\b6_]ran Weinholt]
  - eval.scm: repl flushes stderr on error [Thanks to Ian Oversby]
  

Fri Jul 14 03:50:55 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake forgot to actually kill, flog, harass, maim, and utterly destroy vars.cmake.in

Fri Jul 14 03:36:46 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake remove vars.cmake.in hack.  Use -D argument passing method.

Fri Jul 14 02:17:34 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake more licenses

Thu Jul 13 23:28:16 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake correct error messages for .c.in generation

Thu Jul 13 23:27:21 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake distribute all benchmarks and tests

Thu Jul 13 22:33:30 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake tarball distribution capability fully implemented

Thu Jul 13 06:05:35 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - renamed "benchmark/plists" to "plists.scm"

Thu Jul 13 03:34:21 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed "##sys#error-at"

Tue Jul 11 02:36:00 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added srfi-18/mutex buf by G[_\c3_][_\b6_]ran Weinholt to test-suite

Wed Jul 12 19:39:31 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - csi: added "set-describer!"
  - version is 2.325

Mon Jul 10 17:16:39 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added new web-page in misc/index.html

Sat Jul  8 19:54:06 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed cmake-related files from tarball (temporarily)
  - slight changes in README and manual
  - eval: ##sys#load uses normal eval procedure

Tue Jul 11 21:13:01 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake move FIND_CHICKEN to /boot

Tue Jul 11 17:08:31 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake move .c.in handling to /boot

Tue Jul 11 12:32:31 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake boot/CMakeLists.txt license

Mon Jul 10 23:04:44 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake commented the license

Mon Jul 10 22:54:01 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake added Copyright 2006 by Brandon J. Van Every under MIT-style license

Mon Jul 10 09:15:12 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csc: added "-library", which is equivalent to "-dll" to link dynamic libs

Mon Jul 10 04:38:39 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake tarball capability, i.e. Chickenless bootstrap

Sat Jul  8 04:43:21 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake [_^V_]ChangeLog.0-20040412 isn't the ChangeLog we actually want to install.

Thu Jul  6 18:01:37 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake typo causing liblibuchicken.dll.a problem

Thu Jul  6 16:41:14 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake create and install chicken.info

Thu Jul  6 16:30:11 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake install .exports to share/chicken, docs to share/chicken/docs

Wed Jul  5 11:52:09 Hora oficial do Brasil 2006  klovett@pacbell.net
  * Added match-error-procedure - sets/gets proc called upon a match error

Wed Jul  5 05:42:08 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake posixunix and regexunix rename

Tue Jul  4 18:51:58 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - renamed posix.scm and regex.scm to posixunix.scm and regexunix.scm, respectively [suggested by Brandon van Every]

Tue Jul  4 17:01:03 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.324

Mon Jul  3 18:53:56 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * distinguish CMake builds with -DCMAKE_BUILD

Mon Jul  3 18:16:40 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake handle makeinfo only at configuration time

Sun Jul  2 18:05:35 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed invalid use of `->string' in eval unit (`set-extension-specifier!')
  - removed procedure-checks from many internal calls

Wed Jun 28 19:41:34 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - pathname-expansion handles "~<user>/...", albeit hackishly (just prefixes with hardcoded "/home/")
  - printing unreadable symbols in readable mode only escapes vertical bar [suggested by John Cowan]
  - changed readable-symbol check in printer to be more exact [also suggested by John]

Wed Jun 28 17:16:08 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added `-import' option and `import' declaration

Wed Jun 28 05:17:07 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - optimizer addition that removes calls to functions declared 'constant and whose results is not used
  - version is 2.323

Wed Jun 28 02:12:19 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed unused format.txt

Tue Jun 27 13:40:53 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed partition.scm from boot/CMakeLists.txt

Tue Jun 27 13:25:32 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added 'easyffi c/t feature id
  - added `constant' declaration specifier

Fri Jun 23 15:35:59 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added missing declaration to regex.scm
  - removed output-file partitioning and "-split..." options

Wed Jun 21 17:18:42 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - "keep-shadowed-macros" declaration specifier
  

Tue Jun 27 09:07:15 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posix: "glob" didn't include dotfiles

Tue Jun 27 03:27:14 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: "examples" setup property
  - reader is a bit more sane when printing symbols with non-standard chars [thanks to John Cowan]

Mon Jun 26 02:56:49 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added cygwin-specific handling of string<->number conversion for +nan and +/-inf

Fri Jun 23 04:44:31 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - Makefile.am: uninstall still forgot some files [Thanks to Sven Hartrumpf]

Fri Jun 23 02:51:40 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csc.scm.in: fixed call to "flat-directory-install"

Fri Jun 23 02:45:50 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed thread-interrupt stuff, there needs to be a better way...

Thu Jun 22 06:30:22 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - README: updated link to libffi library on call/cc.org
  - chicken-setup: lists installed documentation [suggested by Matthew Welland]
  - runtime: minimal support for triggering interrupts from other native threads [suggested by Joerg Wittenberger]
  - version is 2.322

Wed Jun 21 09:35:12 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: removed spurious unquote from "simple-install"

Wed Jun 21 06:24:31 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - +inf/-inf/+nan weren't recognized with trailing ".0"
  - chicken-setup: added "find-header"

Mon Jun 19 08:35:17 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - Makefile.am: `uninstall' didn't remove all files [Thanks to Sven Hartrumpf]

Mon Jun 19 04:17:09 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - runtime.c: assertion in locative-update procedure was wrong

Sat Jun 17 18:25:17 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: added "installation-prefix" and "find-library", documented "test-compile"
  - chicken-setup: added progress indication for download
  - chicken-setup: absolute pathnames in list file-specs where not handled properly
  - version is 2.321

Fri Jun 16 08:27:07 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - compiler: when a toplevel variable is defined with the same name ass a macro, then the
    macro is undefined (in addition to showing a warning)
  - version is 2.320

Fri Jun 16 13:22:23 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake "\"FILEPATH\"" in defines.  Not sure if it's correct, but the build swallows it.  csc -version still broken.

Thu Jun 15 15:33:29 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - extras: added `string-chomp'
  - csi: renamed `,what' to `,info'
  - version is 2.319
  - slightly better syntax check for `$'

Wed Jun 14 23:58:39 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake more aggressive dependency system for silex

Wed Jun 14 10:15:42 Hora oficial do Brasil 2006  bvanevery@gmail.com
  * CMake need to promote single digit build numbers to the 100's when canonizing.

Wed Jun 14 03:05:24 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake remove csi detection as it's no longer needed.

Wed Jun 14 02:56:28 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake reinstate silex.exe method of generating easyffi.l.silex

Tue Jun 13 23:39:25 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake remove stray strange comment

Tue Jun 13 13:41:30 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup.1: added section for environment variables
  - chicken.texi: added acknowledgments

Tue Jun 13 11:37:24 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - runtime: added C_dbg_hook() as a debugging aid
  - runtests.sh: compiles and runs benchmarks just once
  - unsafe runtime is compiled with -DNDEBUG
  - Locative stress-test turned up bug in update_locative_table(): pointed-at object of locative had to be
    checked for forwarding twice [Thanks to XXX for reporting this and Kon Lovett for providing a stress test]
  - added support for CHICKEN_PREFIX [Thanks to XXX]
  - csc: added `-dry-run' option

Mon Jun 12 10:23:08 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - unpulled QUOTED_C_INSTALL_HOME, since it breaks on UNIX
  - fix in chicken.texi

Mon Jun 12 09:41:53 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup fix, added svn repo addr to homepage
  - added cmake scripts to README and distribution/release.scm
  - version is 2.318

Sun Jun 11 17:34:05 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: added `setup-verbose-flag' and `setup-install-flag' parameters
  - version is 2.317

Fri Jun  9 19:53:23 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - selected another banner

Tue Jun 13 08:31:40 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake escape the double quotes when obtaining DEFINITIONS flags.  This fixes csc -cflags problem.

Mon Jun 12 09:32:17 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake LIST2STRING function

Mon Jun 12 07:05:10 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * quotes are needed around inputs to vars.cmake.in

Mon Jun 12 02:16:44 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake won't replace @VARIABLES@.  Switching to %VARIABLES%

Sun Jun 11 23:04:01 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * comments to stdout when generating csc.scm and chicken-defaults.h

Sat Jun 10 00:20:48 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake hierarchical install.  Broken due to Windows drive letter problem.  Should not change behavior of other builds, knock on wood.

Fri Jun  9 02:15:48 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * libchickengui is the expected naming convention.  Also missing some static libs for it.

Fri Jun  9 18:39:03 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - csc: passes "-Wl,..." to compiler/linker [suggested by Peter Bex]
  - chicken-setup: delete's old .so's before installing a replacement [thanks to Peter Bex and Thomas Chust]

Fri Jun  9 17:34:18 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - fixed broken link to debian package [thanks to Brandon van Every]
  - removed vcbuild.bat

Thu Jun  8 14:16:31 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added "uninstall" target to Makefile.am
  - tcp: added "tcp-buffer-size" and optional output-buffering [suggested by Graham Fawcett]

Thu Jun  8 09:16:03 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: ignores egg-requirements for core library units, several small fixes

Wed Jun  7 07:19:30 Hora oficial do Brasil 2006  bunny351@gmail.com
  * tiny fix in NEWS

Fri Jun  9 01:09:00 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * added flat-directory-install to runtime to distinguish msvc built with vcbuild.bat or CMake.  No behavioral changes yet.

Thu Jun  8 06:41:50 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake bletcherous hack to allow regex of csc.scm.in.  Currently only copies, no regex.

Wed Jun  7 23:54:40 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * updated CMake documentation and moved it to INSTALL-CMake.txt

Wed Jun  7 05:24:32 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake UNSAFE units were missing .c suffix.

Wed Jun  7 04:57:34 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake detect direct.h.  This solves the easyffi.l.silex generation problem.

Tue Jun  6 22:51:26 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake detect alloca.h crt_externs.h gcvt stdint.h sysexits.h

Tue Jun  6 20:54:45 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * MinGW should get winsock2.h in posixwin.scm

Tue Jun  6 19:40:36 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * detect LoadLibrary and GetProcAddress

Tue Jun  6 11:32:59 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.316

Fri Jun  2 09:18:25 Hora oficial do Brasil 2006  Burton Samograd <kruhft@gmail.com>
  * update sed_quote_subst to handle commas (,) in CFLAGS
  A build error occured when the CFLAGS variable contained a comma, such
  as with the -mfpmath=sse,387 option.  This fixes that by adding a
  comma to the list of characters that are quoted.

Sun Jun  4 19:31:35 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - fixed bug in configure.in that would erase CFLAGS

Tue Jun  6 08:25:37 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * make html generation part of ALL target

Tue Jun  6 06:15:16 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * .exports installation wasn't grabbing from correct directory

Tue Jun  6 05:06:50 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * VC++ does not handle split line COMMENT

Tue Jun  6 04:17:21 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * don't generate .exports dependencies for boot compiler

Tue Jun  6 03:28:17 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * informative build comments

Tue Jun  6 02:37:32 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * UNSAFE libraries no longer emit .exports

Tue Jun  6 00:30:45 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * more explicit dependencies to prevent duplicate .c generation

Mon Jun  5 02:09:41 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * use extant csi to build chicken-boot

Sun Jun  4 19:05:08 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - typo in csi.scm [Thanks to Kon Lovett]

Sun Jun  4 18:43:13 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  tagged 2.315-snapshot

Sun Jun  4 18:42:41 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * release script fixes, moved wwchicken into misc and cleanup

Sun Jun  4 18:14:30 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * release script, doc fixes

Sun Jun  4 17:41:26 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * distribution script and release preparations

Sun Jun  4 16:52:27 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added acknowledgments to NEWS

Fri Jun  2 20:13:03 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * 1st stage bootstrapping support

Fri Jun  2 16:32:00 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * macrotize chicken C source list for subdirectories

Fri Jun  2 06:30:39 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - define-foreign-enum exposes transformer procedures [suggested by Kon Lovett]
  

Fri Jun  2 04:44:44 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * macrotize C source lists for subdirectories

Tue May 30 01:13:13 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - extras: Graham Fawcett contributed "queue-push-back[-list]!"

Mon May 29 20:47:56 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - unsafe core libraries don't emit export files [reported by Brandon van Every]
  - fixed bug in stack-direction-tester for CMake build

Mon May 29 04:13:21 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - srfi-1: bugfix in `list=' [reported by John Cowan, characterized by saccade and found by
    Taylor Campbell]
  - library: I/O on closed ports triggers an error [suggested by Azul]

Fri Jun  2 02:32:20 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - __int64 type name for easyffi

Fri Jun  2 03:14:00 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * generalized build rules for use by subdirectories

Fri Jun  2 01:23:03 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * separate library flags from library generation in prep for subdirectories

Thu Jun  1 21:34:15 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * don't need an INCLUDE file to pass variables to subdirectories

Thu Jun  1 17:41:22 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * dialog box warning when .exports not generated

Thu Jun  1 17:36:23 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * dlfcn.h does not imply -ldl

Thu Jun  1 16:06:45 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * failed stack growth tests should be set -1 for no result

Thu Jun  1 14:53:36 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * shared flags needs -DC_NO_PIC_NO_DLL

Thu Jun  1 14:50:32 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * regex-common typo

Thu Jun  1 06:22:40 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * add global.cmake in preparation for staged build subdirectory refactoring

Thu Jun  1 03:49:29 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * allow build with Chicken 2.3 but warn about lack of .exports

Thu Jun  1 02:56:57 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * send more errors when FIND_CHICKEN fails

Thu Jun  1 02:17:56 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * no longer need silex.c

Thu Jun  1 02:15:30 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * SAFE and UNSAFE libraries emit same .exports

Thu Jun  1 01:13:07 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * generate easyffi.l.silex using generated csi-static

Thu Jun  1 00:22:52 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * .exports installation

Wed May 31 06:37:52 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * MINGW needs __int64

Tue May 30 07:12:56 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - trivial changes in NEWS
  - version is 2.315
  - integer64 fix

Mon May 29 09:23:28 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - README: note about OS X DYLD_LIBRARY_PATH [Thanks to Arto Bendiken]
  - support for `integer64' foreign type specifier [suggested by Alejandro Forero Cuervo]

Wed May 24 19:04:03 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - singlestep didn't swallow newline

Wed May 24 17:52:38 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added distribution directory and OS X build script
  - added `--without-libffi' configuration option

Sat May 20 19:20:18 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - csi: nicer feature list on ",r"
  - version is 2.314

Wed May 24 09:37:27 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - CMakeLists.txt: ...-macros.scm files go into share

Wed May 24 05:47:51 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - CMakeLists.txt: all libraries should be installed in lib (not share)

Wed May 24 03:20:29 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posixwin.scm: removed inclusion of windows.h [suggested by Brandon van Every]

Tue May 23 03:41:09 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - DragonFly-specific patches [Thanks to Peter Bex]
  - removed windows.h from chicken.h

Mon May 22 05:28:33 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - resolved conflict in CMakeLists.txt

Mon May 22 05:11:23 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fixed typo in CMakeLists.txt

Mon May 22 04:33:42 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - singlestepping: "skip" command
  - runtime: unsafe resolve_procedure is macro
  - simplified configure/Makefile (got rid of EXTRA_RUNTIME_FLAGS)
  - apply-hooks and ptables are enabled by default
  - CMakeLists.txt: modified user-options to be consistent with configure.in

Mon May 22 04:58:18 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * test if stack grows downward at configuration time

Mon May 22 04:56:06 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * support for C_STACK_GROWS_DOWNWARD

Sun May 21 22:00:42 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * build nsample

Sun May 21 21:41:16 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * put shared libraries in /share

Sun May 21 20:17:55 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * build chicken.html

Sun May 21 19:30:40 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * better error message when Chicken not found

Sun May 21 18:41:50 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * remove unnecessary .exe suffixes from FIND_CHICKEN

Sun May 21 17:04:02 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * comments about order of <winsock2.h> and <windows.h>

Sun May 21 17:01:17 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * move <windows.h> after <winsock2.h>

Sun May 21 16:57:59 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * change "windows.h" to <windows.h>

Sun May 21 16:22:53 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * include <io.h> to define _isatty

Sun May 21 15:48:29 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * correct generator path for silex.exe

Sun May 21 05:35:43 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * removed commands that don't appear to be needed

Sat May 20 19:01:00 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - invalid-procedure-handler wasn't called for `apply'-triggered calls

Wed May 17 12:24:18 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - CMakeLists.txt: option for apply hook

Wed May 17 11:34:29 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - manual fixes by John Cowan

Wed May 17 01:34:48 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - makefile.vc fixes

Tue May 16 15:27:17 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - moved "breakpoint" into library
  - basic single-stepping (",step", "singlestep")

Tue May 16 04:29:19 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - renamed "thread-deliver-signal!" to "thread-signal!" (old is deprecated)
  - ",utr" didn't remove item from traced proc list
  - multithreaded breakpoints
  - version is 2.313

Tue May 16 02:15:42 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csi: 
    * ",utr" without args isn't supported anymore
    * breakpoints (",br", ",ubr", ",c", and "breakpoint")

Sat May 20 01:43:20 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * csi.c generation bug

Fri May 19 17:59:08 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * resolve INSTALL conflict

Fri May 19 17:28:31 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * eliminated ADD_FILE_DEPENDENCIES

Tue May 16 04:37:09 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * install to subdirectories

Tue May 16 02:49:48 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * my fault

Mon May 15 04:08:30 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * fix conflicts in CMakeLists.txt

Mon May 15 18:09:00 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed distro stuff
  - removed last traces of chicken-match-macros from CMakeLists.txt and win-install.bat
  - Argh! chicken.scm still referenced chicken-match-macros.scm
  k***END OF DESCRIPTION***
  
  Place the long patch description above the ***END OF DESCRIPTION*** marker.
  The first line of this file will be the patch name.
  
  
  This patch contains the following changes:
  
  M ./CMakeLists.txt -1 +1
  M ./chicken.scm -2 +1
  R ./distribution/
  R ./distribution/chicken-osx.pmproj
  M ./win-install.bat -1

Mon May 15 17:19:47 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - basic support for apply-hooks
  - added `C_return'
  - lolevel: renamed `invalid-procedure-call-handler' to `set-invalid-procedure-call-handler!' (old name is deprecated)

Mon May 15 18:46:45 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * .scm to .c compilation

Mon May 15 08:27:14 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csi: toplevel-command `,exn'
  - chicken-ffi-macros.scm: bugfix in `define-foreign-record' [by Kon Lovett]
  - library: `machine-byte-order'

Sat May 13 18:13:47 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - changed silex.scm to accept an output-file name [suggested by Brandon van Every]

Sat May 13 16:57:56 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.312
  - "$": added support for SRFI-4 literals
  - modified test driver for being more convenient (and put bootstrapping test into separate file)

Fri May 12 16:30:36 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed transcript-on/off from r4rs-enironment
  - ffi: added "$" macro

Fri May 12 04:36:40 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - `foreign-...' macros do slightly better syntax syntax checks
  - removed `allow-null:' foreign-record spec again
  - csc: doesn't escape backtick in sub-pass options
  

Thu May 11 18:31:07 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - eval.scm: macroexpansion error-handling wrapper wasn't updated to new condition layout
  - `define-foreign-record': `allow-null:' modifier
  - added `srfi-31' to builtin srfi list [thanks to Dan Muresan]

Wed May 10 15:26:18 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed unused procedure from eval (`##sys#undefine-non-standard-macros')

Thu May 11 03:24:06 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - runtime option `-:D' (shows currently when apply-limit is exceeded with libffi)

Wed May 10 08:45:39 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - version is 2.311

Wed May 10 08:43:28 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: didn't remove old export-entries from setup info

Wed May 10 06:18:25 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - pointer printing prefixes address with "0x"

Mon May  8 06:35:03 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - yet another fix to the handling of SRFI-12 signals [by Reed Sheridan, modified by felix]

Mon May  8 05:30:57 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed some unused local shadowing bindings for "string"

Mon May  8 04:35:57 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - Added optimization inline rule for "string"

Fri May  5 19:39:02 Hora oficial do Brasil 2006  Thomas Chust <chust@web.de>
  * Ignore complex extension specifiers when loading export declarations

Fri May  5 19:20:28 Hora oficial do Brasil 2006  Thomas Chust <chust@web.de>
  * Ignore keywords when scanning for read access to undefined symbols

Mon May  8 02:34:16 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - bugfix in "condition-property-accessor" [By Kon Lovett]
  - undocumented "foreign-safe-wrapper"
  - fixed bug in handling of `c-string' result type [Thanks to Heath Johns]
  - added export-file generation for scheduler [reported by Thomas Chust]

Mon May  8 00:44:33 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csc: added "-G" alias for "-check-imports"***END OF DESCRIPTION***
  
  Place the long patch description above the ***END OF DESCRIPTION*** marker.
  The first line of this file will be the patch name.
  
  
  This patch contains the following changes:
  
  M ./csc.scm.in -1 +2

Fri May  5 03:15:32 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added some declarations to srfi-18.scm, partition.scm and easyffi.scm

Thu May  4 23:24:16 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * little fix in match

Thu May  4 23:11:23 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - `define-foreign-enum' macro
  - `enum', `struct' and `union' type-specifiers accept symbols

Thu May  4 21:10:18 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added mini-runtime example in misc
  - tinyclos macros moved into tinyclos unit (which is also used by the compiler now)
  - match macros moved into match (which used to be match-support)

Thu May  4 18:06:42 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - condition-properties are now specific to a condition-kind (so equal property names do not collide
    in composite conditions) [problem reported by Reed Sheridan, principle of solution by Kon Lovett]
  - print-error-message: when condition has no messsage property, the kinds are printed instead
    of a message
  

Thu May  4 16:24:15 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - extensions may also have .exports file
  - chicken-setup: `exports' property

Sat Apr 29 21:26:27 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - utils.scm: `absolute-pathname?' windows-specific fix by Kon Lovett
  - compiler: `-emit-exports' and `-check-imports' options
  - .export-file generation for all library units
  - version is 2.310

Tue May  2 02:42:22 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: `-v' isn't really necessary for simple installs
  - slight changes in manual (bugs + limitations)

Mon Apr 24 09:42:25 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - thread-join!: thread-result generalized to multiple values

Sun Apr 23 14:07:59 Hora oficial do Brasil 2006  Thomas Chust <chust@web.de>
  * Fixed a spelling mistake that broke tracing in csi

Tue May  2 03:37:22 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * fix in runtests.sh

Mon May  1 09:59:15 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added `disable-warning' declaration specifier, added to a few units, removed options from Makefile.am
  - added `srfi-2' feature-id to builtin features [reported by Dan Muresan]

Thu Apr 27 05:28:35 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - srfii-13: added missing check in `substring/shared' [reported by Kon Lovett]

Thu Apr 27 05:08:58 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - renamed `test-feature?' to `feature?' (old name still available but deprecated)

Wed Apr 19 09:12:54 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fix in cscbench.scm [by Kon Lovett]
  - added `##sys#apply-argument-limit' [Suggested by Reed Sheridan]
  - regex-common.scm: replace `string-substitute*' with a simpler and faster version [by Daishi Kato]
  - runtime.c: more preprocessor magic by Jean-Francois Bignolles
  - Makefile.am: lowest nursery-size settings in nursery-sampling were simply too small (and could result in endless loops
    on 64-bit machines)

Wed Apr 19 03:40:03 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - fix in cscbench.scm [by Kon Lovett]
  - added `##sys#apply-argument-limit' [Suggested by Reed Sheridan]
  - regex-common.scm: replace `string-substitute*' with a simpler and faster version [by Daishi Kato]

Tue Apr 18 13:35:15 Hora oficial do Brasil 2006  rsheridan6@gmail.com
  * Fix another bug in #<# and give it more readable macroexpansion

Tue Apr 18 04:31:44 Hora oficial do Brasil 2006  rsheridan6@gmail.com
  * Fix #<# read syntax (for real this time)

Sat Apr 15 19:31:39 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - configure.in: --enable-extra-symbol-slot changes BINARY_VERSION
  - Manual fix [by Jarod Eells]
  - regex-common.scm: string-substitute now also uses ##sys#fragements->string

Wed Apr 12 12:58:41 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - nothing, really

Wed Apr 12 12:35:42 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - cscbench is now compiled to allow self-contained run

Thu Apr 13 10:25:29 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csi: trace/untrace macroexpand names to work with psyntax modules

Thu Apr 13 05:24:22 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - apply-limit overflow check only in safe runtime
  - c-w-v optimization enabled by default
  - version is 2.309
  - disabled certain warnings for bootstrap (this will result in warnings when bootstraping from older compilers)

Wed Apr 12 06:58:45 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed `try-harder' variable from compiler sources
  - experimental `call-with-values' optimization for known single-valued result procedures

Wed Apr 12 03:12:02 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - `#:extraslot' feature
  - C_EXTRA_SYMBOL_SLOT moved to chicken-config.h

Tue Apr 11 14:58:42 Hora oficial do Brasil 2006  rsheridan6@gmail.com
  * #<# read syntax no longer dies on large input

Tue Apr 11 11:36:34 Hora oficial do Brasil 2006  Thomas Chust <chust@web.de>
  * Spelling mistake of variable *remove-command* in chicken-setup.scm corrected

Tue Apr 11 09:44:32 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - testsuite stuff
  - manual: `make-locative' still documented symbol [reported by John Cowan]

Tue Apr 11 07:22:02 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - CMakeLists.txt: option for extraslot

Tue Apr 11 07:18:15 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - test fixes
  

Tue Apr 11 04:50:51 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - wwchicken typo fix by Mario Goulart
  - apply overflow check [reported by Reed Sheridan]

Tue Apr 11 03:58:19 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - `--enable-extra-symbol-slot' configure option
  - version is 2.308

Mon Apr 10 16:42:44 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added config option for symbol-gc to CMakeLists.txt
  - `chicken-version' also shows gchook feature
  - removed build-features configure option

Mon Apr 10 15:43:17 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - adjusted copyright dates in a few more files
  - added `-enable-symbol-gc' configuration option

Thu Apr  6 07:35:08 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - read-line: didn't bump port-line-number for stream-ports

Thu Apr  6 06:41:08 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - updated copyright date
  - csi.scm: includes "parameters.scm"

Wed Apr  5 11:15:13 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - "unused variable" warning in block mode is not shown for variables generated by complex
    define-constant's
  - added `-disable-warning' option and differentiated compiler warnings
  - version is 2.307

Tue Apr  4 11:39:54 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - changed test-driver slightly
  - moved tinyclos-examples into tests directory
  - `regexp-escape' didn't escape the dot

Sun Apr  2 17:09:09 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added `-release' option [suggested by Peter Busser]

Thu Mar 30 17:37:34 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - fixed brokenness in `nextbuild' script
  - version is 2.307

Fri Mar 31 02:23:55 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * removed index.html again

Thu Mar 30 16:11:01 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - still problems with test-runner

Thu Mar 30 16:00:30 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - infix handling of `string-split-fields' improved [Reported by Sunnan]
  - cleanup up chicken-setup, fixed bug in one call to `make:line-error'
  - better output for "known proc call with wrong args" compiler warning
  - generated identifier for `define-constant' has other gensym-prefix for easier distinction in compiler warnings
  - chicken-setup: allows multiple `-e' options***DARCS***
  
  Write the long patch description into this file.
  The first line of this file will be the patch name.
  Everything in this file from the above ***DARCS*** line on will be ignored.
  
  This patch contains the following changes:
  
  M ./chicken-setup.scm -145 +143
  M ./compiler.scm -3 +4
  R ./format.scm
  M ./regex-common.scm -3 +3
  M ./runtime.c -3 +46
  A ./tests/
  A ./tests/r4rstest.scm
  A ./tests/runtests.scm

Mon Apr 10 09:09:11 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added some interesting files in "misc/"
  

Mon Apr 10 04:04:34 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - `equal?' didn't return #t for 0.0/-0.0

Fri Mar 31 15:29:44 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * more precise Version Build regex

Fri Mar 31 05:18:53 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * find chicken simplified regex

Fri Mar 31 02:49:31 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * find extant Chicken installation

Fri Mar 31 03:28:29 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - Makefile.am: added missing dependencies [Thanks to Kon Lovett]

Thu Mar 30 04:31:27 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - ##sys#file-info holds flonums for timestamps
  - version is 2.306
  - versioned $(prefix)/share/chicken and $(prefix)/lib/chicken

Tue Mar 28 13:39:10 Hora oficial do Brasil 2006  rsheridan6@gmail.com
  * Update README.darcs to reflect new repo url

Mon Mar 27 10:15:45 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - runtime: fixed broken single-value test in `C_apply_values'
  - version is 2.305

Sat Mar 25 08:29:45 Hora oficial do Brasil 2006  'Brandon Van Every <bvanevery@gmail.com>'
  * CMake MinGW update

Fri Mar 24 08:07:28 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - fixed broken merge of read-line patch (it wasn't my fault!)

Thu Mar 23 07:57:42 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - manual/chicken.1: added note about `-extension'

Wed Mar 22 14:26:20 Hora oficial do Brasil 2006  rsheridan6@gmail.com
  * read-line fix
  
  read-line now correctly handles all line terminators and limits.

Wed Mar 22 15:38:53 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - csc: removed last trace of `-srfi-7' option

Tue Mar 21 15:10:26 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - darcs goes on my nerves sometimes
  - read-line: handles "...\r" with string-input

Tue Mar 21 14:52:36 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - chicken-setup: -f wasn't recognized, -h for -host was of course wrong
  - extras.scm: unrecorded read-line patch as it broke chicken-setup
  - chicken-setup: probably fixed cygwin bug (called msvc create_directory) [reported by John Cowan]
  - version is 2.304

Mon Mar 20 04:43:35 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - documented SRFI-61 support, added feature identifier

Mon Mar 20 01:27:43 Hora oficial do Brasil 2006  rsheridan6@gmail.com
  * read-line fix, remove redundant code
  
  read-line optional limit argument now works on all platforms
  
  read-line no longer discards last character in stream unless it's a newline
  
  removed duplicated definition of #\return
  

Fri Mar 17 11:19:19 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - wwchicken: galinha link (coop)
  - srfi-61 support

Fri Mar 17 06:47:40 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - library: added `real-part', `angle', 'imag-part' and `magnitude' [as suggested by Alex Shinn]
  - tinyclos: added safety check in `initialize' to catch when a generic is not an entity
  - version is 2.303

Tue Mar 14 03:38:36 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - ##sys#read-prompt-hook: uses ##sys#print
  - csi: always record expr in history to make readline egg work [problem reported by Peter Wright]

Sat Mar 11 18:41:42 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - repl: error output goes to stderr
  - wwchicken: link to coop

Wed Mar  8 16:18:43 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - default error handler didn't write call-chain to stderr
  - chicken-setup: removed "$VARIABLE" sillyness

Sun Mar  5 02:45:12 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - print-call-chain: writes to stdout

Fri Mar  3 19:47:01 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: $VAR syntax
  - eval: if path is absolute, load-relative doesn't prepend current load path

Fri Mar  3 17:41:45 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - port-map didn't invoke function (argh)
  - read-file didn't invoke custom reader for first item (more argh)
  - chicken-setup: docindex shows release (if defined)

Tue Mar  7 05:48:32 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - hen.el fixes by Reed Sheridan
  - chicken-setup: `-check' option for checking repository for upgrades

Fri Mar  3 05:12:06 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: on download add release-number of setup-info

Tue Feb 28 10:47:04 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - library.scm: `chicken-version' used wrong call to fudge for `ptables' [Thanks to Sven Hartrumpf]
  - version is 2.302

Mon Feb 27 11:14:30 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - make-pathname: a little refactoring and handling of empty directory parts in directory lists

Mon Feb 27 06:00:37 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: got `-eval' option
  

Mon Feb 27 04:29:31 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * nothing important

Sun Feb 26 19:55:55 Hora oficial do Brasil 2006  rsheridan6@gmail.com
  * hash-table-update! now takes 4th arg optionally, in compliance with SRFI-69

Fri Feb 24 07:46:04 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken.h: CHICKEN_default_toplevel casted to void *
  - manual: removed traces of `error-handler' [Thanks to Reed Sheridan]
  - eval: added `load-relative'

Wed Feb 22 04:07:45 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - hash-table-update fix by Thomas Chust
  - wwchicken: new win32 binaries version

Tue Feb 21 17:33:03 Hora oficial do Brasil 2006  Thomas Chust <chust@web.de>
  * hashtable-update! fixed to conform to SRFI-69 [Thomas Chust]

Mon Feb 20 04:42:37 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - srfi-4.scm: subXXvector range check was wrong [Thanks to Alex Shinn]

Sat Feb 18 18:26:59 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - yet another whacky banner
  - version is 2.301
  - delete-file and rename-file didn't expand tilde [Patch by Zbigniew Szadkowsi]

Fri Feb 17 16:33:36 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - updated CMake readme and buildfile [thanks to Brandon van Every]

Fri Feb 17 16:33:26 Hora oficial do Brasil 2006  bunny351@gmail.com
  tagged 2.3-release

Fri Feb 17 15:04:53 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - raised version to 2.3

Fri Feb 17 14:16:21 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed cmake references from README (this needs to be better prepared and will hopefully be functional
    in the next release)
  - csc: parens are not backslashed when passed as arguments to compiler options

Fri Feb 17 09:03:33 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - runtime.c/chicken.h: removed last traces of C_WINDOWS_DLL [Thanks to Brandon van Every]
  - chicken-setup: only shows deletion of files in verbose mode

Wed Feb 15 17:02:20 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - version is 2.228

Mon Feb 13 17:09:05 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - runtime.c: init of trace-buffer-size happened after command-lline-parsing

Wed Feb 15 10:18:14 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - user-defined toplevel commands

Wed Feb 15 03:45:28 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - print-error-message prints to stdout, by default
  - csc.scm.in: adapted to new library names for windows

Mon Feb 13 05:28:44 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added foreign types for 32-bit integers

Sat Feb 11 11:42:17 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - changed darcs repo url again

Sat Feb 11 11:40:05 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - wwchicken: changed darcs repo url

Mon Feb  6 18:56:31 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - c_defaults.h -> chicken-defaults.h
  - DLLs on Windows are now also named "lib..."
  - version is 2.227
  - csc does better handling of whitespace in option-arguments passed to chicken
  - tcp: removed output-string form error-message on write failure

Wed Feb  1 19:31:14 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added `C_copy_closure' primitive
  - csi: `,s', `,l', ',ln' commands accept multiple inputs, added `,tr' and `,utr', removed trace/untrace macros

Thu Feb  9 07:17:49 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - utils: added check in shift! [suggested by Kon Lovett]
  - csc: handles only object-files on the cmd-line

Wed Feb  8 07:26:35 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - reverted invalid change of match-error-control in easyffi

Tue Feb  7 09:18:34 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added note about README.cmake-and-mingw32 in README
  - chicken.h: unref'd locals warning is disabled via pragma [information about this provided by Brandon van Every]
  - in unsafe mode, use #:fail match-error-control

Mon Feb  6 04:33:13 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed a slight bit of sillyness
  - added README for cmake+mingw32 [Thanks to Brandon van Every]

Fri Feb  3 04:43:17 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - tcp: port returned by ##net#getservbyname wasn't ntohs'd [Thanks to Mark Wutka]
  - runtime/lolevel: added the immensely useful `call-with-cthulhu'

Mon Jan 30 02:23:58 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added `C_get_unbound_variable_value_hook' [suggested by Arto Bendiken]

Sat Jan 28 18:37:32 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - easyffi supports some escape sequences in char literals
  - fixed bug in srfi-17 setter stuff for define-record
  - condition-property-accessor enhancement by Kon Lovett***DARCS***
  
  Write the long patch description into this file.
  The first line of this file will be the patch name.
  Everything in this file from the above ***DARCS*** line on will be ignored.
  
  This patch contains the following changes:
  
  M ./chicken-more-macros.scm -5 +5
  M ./chicken.texi -2 +8
  M ./easyffi.l +5
  M ./library.scm -3 +3

Fri Jan 27 22:52:23 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - easyffi: handles macros that expand to char character constants [Suggested by Reed Sheridan]
  - dynamically loaded compiled code (via `load') can now be reloaded (currently only tested in OS X - leaks space)
  - version is 2.226

Fri Jan 27 09:00:44 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - c-string return-type special-casing for define-external's also applies to nonnull-c-string
  - csi: `,d' omits trailing "s" when element-count is 1
  - added `define-for-syntax'
  - version is 2.225
  - csc: -keep passes `-k' to csc [Thanks to Reed Sheridan]

Tue Jan 24 14:06:23 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - external callbacks with `c-string' return-type make it zero-terminated [suggested by Levi Pearson]

Wed Jan 25 09:49:58 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posix: timezone stuff was broken for Cygwin [Thanks to Sergey Khorev]
  

Wed Jan 25 05:43:03 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - more ccall stuff

Wed Jan 25 05:14:56 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - changed `nextbuild' script to be path-independent
  - added `C_cdecl' declarations at various places to please Watcom C [suggested by Sergey Khorev]

Tue Jan 24 09:28:44 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added resizable finalizer-table by Zbigniew

Tue Jan 24 08:28:06 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - updated NEWS

Mon Jan 23 18:44:00 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - Mentioned Sergey Khorev and Brandon van Every more prominently in the acknowledgements section of the manual
  - `group-information' and `system-information' return lists now instead of multiple values

Mon Jan 23 05:38:35 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - watcom-specific additions by Sergey Khorev
  - `hash-table-ref' throws '(exn access) [suggested by Reed Sheridan]
  - version is 2.224

Fri Jan 20 20:14:43 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - added `watcom' to `build-platform'

Fri Jan 20 20:08:51 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - `number->string' with radix 8 or 16 and an inexact number that can be represented as
    an unsigned int returns a proper octal or hex conversion (without decimal point)

Fri Jan 20 11:02:59 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - manual: addition to `C_c_string()' doc [Thanks to Zbigniew Szadkowski]

Tue Jan 17 07:21:34 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - tcp: sending a chunk used wrong count [thanks to Hans Bulfone]
  - manual typo fix [by Mario Domenech Goulart]
  - csc: added `-home'
  - `define-foreign-record'-accessors: assume nonnull pointers (would crash anyway on #f)
  - version is 2.223

Sun Jan 15 15:15:29 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - added BvE's new CMakeLists.txt version
  - added some interesting benchmarks

Sun Jan 15 12:53:01 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - utils: `decompose-pathname' and `pathname-directory' omit the trailing slash/separator [suggested by Kon Lovett]

Sat Jan 14 19:16:05 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - removed chicken-config.1 from the repo
  - small fix in README
  - csc: added `-cc-name' and `-ld-name' options

Sat Jan 14 16:46:29 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - manual: slight fix regarding nno-Windows posix time routines

Fri Jan 13 10:21:26 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posix: fixed invalid fix of Reed Sheridan's fix for `directory'

Thu Jan 12 14:54:41 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - tcp: increased output-buffer size

Thu Jan 12 13:43:40 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - resurrected makefile.vc
  - posix.scm: `map/anonymous' used incorrect C macro
  - csc: -cflags doesn't include -c; output is less aggressively quoted

Thu Jan 12 04:52:43 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - removed `chicken-config' from the manual and the makefile
  - tcp-output that would block causes thread-switch [suggested by Hans Bulfone]
  - version is 2.222

Wed Jan 11 07:28:37 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - csc: `-libs' includes chicken runtime libs, now
  - compiler: (require-extension) resolution of non-available extensions during compilation specified in list-syntax
    could give an error message

Tue Jan 10 09:20:25 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posixwin: `utc-time->seconds' is not available
  - posix: addeed `local-timezone-abbreviation' [Contributed by Kon Lovett]
  - chicken-setup: repo-path is created if not existing [Thanks to Adam Buchbinder]
  - version is 2.221

Mon Jan  9 07:38:55 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - posix/posixwin: added enhancements to `directory' [contributed by Reed Sherdidan]

Mon Jan  9 05:04:58 Hora oficial do Brasil 2006  felix@call-with-current-continuation.org
  * - chicken-setup: added `copy-file', `move-file', `remove-file*' and `create-directory' [Suggested by Kon Lovett]
  - fixed bug in implementation of `require-extension' in the compiler
  - added `srfi-69' and `srfi-28' feature-id's to list of builtin features [Shanks to Dan]
  - chicken-setup: fixed bug with pathnames containing `~' [Thanks to Dan]
  - version is 2.220

Sat Jan  7 15:35:53 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - Manual fixes
  - Removed `transcript-on' and `transcript-off'

Thu Jan  5 18:20:12 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - `let*-values' is now SRFI-11 compliant
  - version is 2.219

Wed Jan  4 08:50:50 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - lolevel: `object-evict-to-location' throws 'evict exn if limit is exceeded
  - some additions and fixes in the "acknowledgements" section of the manual [thanks to Benedikt Rosenau]
  - the feature-identifiers #:srfi-12 and #:srfi-15 are registered by default [as suggested by John Cowan]
  - posix.scm: added `local-time->seconds' and `utc-time->seconds'
  
  - version is 2.218

Sun Jan  1 17:13:27 Hora oficial do Brasil 2006  bunny351@gmail.com
  * - replaced tons of proc-typedefs with nifty/weird macro magic [contributed by Jean-Francois Bignolles]
  - `(define-macro SYM1 SYM2)' should work again [suggested by Zbigniew]

Tue Dec 27 14:50:25 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - version is 2.217
  - added 'current-gc-milliseconds' [suggested by Kon Lovett]
  - `chicken-setup -l NAME ...' lists ext.-info. of named extensions
  

Tue Dec 27 04:48:22 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - `chicken-home' wasn't added to default include-path

Wed Dec 21 14:28:30 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - some changes in README and wwchicken
  - `require'/`require-for-syntax' accept a string as argument

Wed Dec 14 15:07:32 Hora oficial do Brasil 2005  bunny351@gmail.com
  tagged 2.216-snapshot

Wed Dec 14 13:16:59 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - CMakeLists.txt: hyphens in targets are *not* OK...; csc.scm is generated in bindir

Fri Dec 23 07:42:59 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed off-by-one error in runtime.c:create_initial_ptable

Tue Dec 20 03:33:19 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - mingw makefile fixes by Sergey Khorev

Mon Dec 19 05:00:47 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - more mingw fixes by Sergey Khorev
  

Fri Dec 16 11:02:14 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added mingw specific fixes by Sergey Khorev

Fri Dec 16 07:59:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed test for HAVE__NSGETENVIRON in posix.scm
  

Fri Dec 16 07:17:22 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `current-environment' should work now on OS X [Thanks to Kon Lovett]
  - added correct timezone access [By Kon Lovett]
  - Fixed bug in printer that caused trashing with length-limited output

Thu Dec 15 11:11:19 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - BvE's CMakeLists.txt fixes...

Wed Dec 14 10:51:13 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - readme fix

Tue Dec 13 06:11:01 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - version is 2.216

Tue Dec 13 05:29:50 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - manual fix by Reed Sheridan
  - several CMakeLists.txt fixes by Brandon van Every

Fri Dec  9 04:17:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `-profile-name' option

Wed Dec  7 12:09:59 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Small fixes (chicken.h, Makefile.am)***END OF DESCRIPTION***
  
  Place the long patch description above the ***END OF DESCRIPTION*** marker.
  The first line of this file will be the patch name.
  
  
  This patch contains the following changes:
  
  M ./Makefile.am -1 +1
  M ./chicken.h -3

Wed Dec  7 07:05:13 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - configure.in: better checking for gcvt on MacOS [Thanks to Kon Lovett]
  - Makefile.am typo and uposix-generation fixes by Kon
  - version is 2.215

Thu Dec  8 14:23:18 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - extras: added `each'

Fri Dec  2 00:51:17 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed makefile.vc and updated README
  - csi: describe hash-table shows hash-function

Thu Dec  1 17:53:49 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - runtime.c: ##sys#fudge(30) (_MSC_VER)
  - fixed win-install.bat
  - fixed CMakeLists.txt problems
  - fixed conflicts and missing def for SD_RECEIVE/SD_SEND on win32

Mon Nov 28 04:22:11 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csi: ",d" of hash-table prints procedure normally
  - removed `pathname-extension-separator' and `pathname-directory-separator'
  - utils: `make-pathname' with a dir part of #f chopped the slash, if the file part was starting with one

Sun Nov 27 05:49:45 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - `print-call-chain' didn't work with non-stream ports
  - setup-information files have now ".setup-info" extension, or alternatively ".setup" [suggested by Pupeno]
  - added `##sys#clear-trace-buffer' (eval)
  - version is 2.214

Sat Nov 26 10:37:16 Hora oficial do Brasil 2005  bunny351@gmail.com
  * tiny manual fix

Fri Nov 25 10:58:51 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken.h: C_TLS is defined, if chicken-config.h is not included
  - library: `file-exists?' returns it's argument, if succeeding (quite handy)
  - chicken-setup: added link to egg-page in local doc-index

Thu Nov 24 08:44:09 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `-:x' should actually work now
  - Thread-exceptions display call-chain
  - `print-call-chain' and `get-call-chain' accept optional thread argument

Wed Nov 23 11:02:37 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - compiler: added `-track-scheme', but somehow doesn't work yet and doesn't produce overly much output

Wed Nov 23 08:41:22 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: errors in .setup scripts were printed twice
  - `set-dispatch-read-syntax!' renamed to `set-sharp-read-syntax!' (old name still available, but deprecated)
  - csc: added `-rpath PATHNAME'
  - version is 2.213

Tue Nov 22 03:40:41 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - ws2tcpip.h include check for win32
  

Tue Nov 22 19:07:17 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - tcp: added `tcp-port-numbers` [Contributed by Daishi Kato]
  - eval: removed dependency on extras (with-output-to-string)
  - Makefile.am: posixwin should now be used instead of posix when building from tarball
  - csc: added `-Fdir'
  - fixed bug in `C_make_tagged_pointer' [Thanks to Zbigniew Szadkoswski, Pupeno and Tony Garnock-Jones]
  - runtime.c: resurrected MSVC/x86 apply hack

Tue Nov 15 13:16:48 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - more CMakeLists.txt tweaks, still incomplete
  - `let-values' is SRFI-11 compliant [Thanks to Reed Sheridan]
  - added record-declarations to `define-foreign-record'
  - version is 2.212

Sat Nov 12 12:54:05 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - libffi is used by default, when available
  - added runtime-option `-:aXXX' to set trace-buffer/call-chain length
  - more CMakeLists.txt tweaks (libffi, enable ptables)***DARCS***
  
  Write the long patch description into this file.
  The first line of this file will be the patch name.
  Everything in this file from the above ***DARCS*** line on will be ignored.
  
  This patch contains the following changes:
  
  M ./CMakeLists.txt -57 +109
  M ./README -4 +1
  M ./TODO -1 +3
  M ./chicken.h +1
  M ./chicken.texi -2 +7
  M ./configure.in -10 +2
  M ./library.scm -2 +3
  M ./parameters.scm -1
  M ./runtime.c -10 +26

Sat Nov 12 01:18:03 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - version is 2.210
  - Fixed typo in chicken.h [Thanks to Jarod Eells]
  - added length-limit in call-chain output for source
  - added additional info slot in trace-buffer for evaluation-context/container

Tue Nov  8 16:49:42 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - fxed warning in tcp.scm (getpeername)
  - removed #include for ws2tcpip.h again (must be Windows-version specific)

Thu Nov  3 17:03:30 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - added -DC_ENABLE_PTABLES to Windows build-files
  - Incorporated Wright's documentation for `match' into manual
  - reduced trace-buffer size to 20
  - c-backend: generates better code for ptables
  - eval: added `##sys#eval-decorator' hook

Fri Nov 11 11:52:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Some more CMakeLists.txt tweaking
  - Fixed bug in `hash-table-fold' [Thanks to David Janssens]

Fri Nov 11 10:50:06 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - CMakeLists.txt fix for UNIX

Fri Nov 11 06:16:46 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc.scm.in: `-static' was passed to gcc without leading whitespace [Thanks to Sven Hartrumpf]

Tue Nov  8 07:27:09 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - undid optimization (problems found by Sven Hartrumpf)
  - added Win32-specific create-dir function in chicken-setup

Mon Nov  7 09:59:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Makefile.am fixes by Svben Hartrumpf

Mon Nov  7 05:08:17 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - compiler: removed unused warning procedure
  - easyffi: unknown type-names will be treated as opaque pointers
  

Mon Nov  7 03:21:10 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - easyffi: removed `idtype' token
  - macros: srfi-17 setters are not enabled for records by default

Fri Nov  4 09:30:28 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - scheduler: missed wincock2 include

Fri Nov  4 09:29:01 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed silly bug in `hash-table-fold'
  - Removed non-existant targets in Makefile.am (extra-dist rule) [thanks to Sven Hartrumpf]

Fri Nov  4 04:19:56 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - regex: fixed bug in `string-substitute' [Thanks to Daishi Kato]
  - factored out common code in pregex.scm, regex.scm and pcre.scm into regex-common.scm

Fri Nov  4 03:38:32 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed wrong doc links in README
  - library: registers #:ptables feature, if available
  - tcp.scm: added #include for winsock2.h

Wed Nov  2 18:54:02 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - version is 2.209

Wed Nov  2 17:19:00 Hora oficial do Brasil 2005  bunny351@gmail.com
  tagged 2.207-snapshot

Wed Nov  2 17:18:16 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - Updated README.darcs (required CHICKEN version for bootstrapping is 2.2) [Thanks to Brandon van Every]
  - scheduler: `thread-sleep!' didn't unfix sleep time value [Thanks to "datrus" and Guillaume Germaine]

Mon Oct 31 15:14:48 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - runtime: initial ptable didn't hold entries for procedures supplied by runtime.c

Sat Oct 29 19:46:18 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - added `-cflags', `-ldflags' and `-libs' to csc
  - improved procedure-table handling

Mon Oct 31 03:23:33 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * ...

Fri Oct 28 23:00:40 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed bug in definition of `define-record-type' [thanks to Sven Hartrumpf]
  - version is 2.207

Thu Oct 27 13:39:51 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added compiler support for serializating procedures (very experimental)
  - library: added `##sys#interned-symbol?'

Mon Oct 31 05:03:41 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - manual: added FAQ entry about non-existant native thread support
  - csc, chicken-profile: block mode

Tue Oct 25 09:34:54 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added internal alias for `force'
  - chicken-setup: added missing newline after error message
  - added srfi-17 to the list of builtin features in compiled code

Mon Oct 24 12:39:06 Hora oficial do Brasil 2005  bunny351@gmail.com
  * fixed some conflicts

Mon Oct 24 12:05:51 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - version is 2.206
  - tinyclos: added builtin class `<regexp>'

Mon Oct 24 07:32:43 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - some notes in the documentation.

Mon Oct 24 02:44:53 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added primitive classes for all structures to TinyCLOS
  - added setter for `global-ref'

Thu Oct 20 17:21:01 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - manual: added various helpful people in the "Acknowledgemments" section

Wed Oct 19 14:57:30 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - Nicer output of ##core#call simplifications

Wed Oct 19 13:42:26 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - moved read-syntax definition procedures into library.scm
  - added thread-specific read-table parameter `current-read-table' and `copy-read-table'
  - added `##sys#infix-list-hook'
  - added optimization for trivial constant-propagation in operator position

Thu Oct 20 06:31:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - slight cleanup in output of print-call-chain

Wed Oct 19 07:50:34 Hora oficial do Brasil 2005  bunny351@gmail.com
  * setters for pointer/srfi-4 vectors weren't commited

Wed Oct 19 07:49:43 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - setters for SRFI-4 vectors and lolevel pointer objects accesors added
  - setters for records defined with `define-record' and `define-record-type'

Wed Oct 19 06:19:58 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - added rewrites and setters for block-ref, hash-table-ref, locative-ref, byte-vector-ref
  

Fri Oct 14 08:38:17 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - srfi-17 setter for `slot-ref'
  - Some optimization for known setters - still not perfect (variable propagation not complete)

Wed Oct 19 08:18:43 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - reader: #e/#i syntax uses internal hooked versions of `inexact->exact' and `exact->inexact' [Thanks to John Cowan]

Tue Oct 18 16:41:26 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - renamed `extension-info' to `extension-information' (the old name is still available but deprecated)
  - Evaluator (`##sys#compile-to-closure') keeps track of tail-position
  - chicken-setup: added `setup-root-directory' and `setup-build-directory' parameters
  - renamed `print-backtrace' to `print-call-chain' (the old name is still available but deprecated)
  - Evaluator emits trace-info, too (into the same buffer as compiled code)
  - added `get-call-chain'

Mon Oct 17 15:23:15 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - version is 2.205

Mon Oct 17 14:51:23 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - wwchicken: removed egg-specifics

Fri Oct 14 03:57:47 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - runtime.c: uses C_alloca instead of alloca
  - added ##compiler#postponed-initforms

Thu Oct 13 03:11:46 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * testing test

Sat Oct 15 07:49:44 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - tcp: added define for `socklen_' on Windows [Thanks to Andrey Fomichev]

Wed Oct 12 18:07:49 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - version is 2.204

Wed Oct 12 17:56:44 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - version is 2.203
  - Fixed bug in `hash-table-exists?' [Thanks to Daniel B. Faken]
  - Fixed documentation bug(s) for `set-[dispatch-]read-syntax!'

Sat Oct  8 01:00:58 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * new eggs in wwchicken

Fri Oct  7 01:57:19 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: non-argument case didn't work correctly
  - Added CMakeLists.txt (Windows-specific) [Contributed by Patrick Brannan]

Thu Oct  6 13:43:01 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: if no arguments are given, the .setup files in the current directory
    are processed (if any)
  - `string->number' returns #f for "."

Mon Oct  3 18:51:33 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - csc: broken compile-flags when `-framework' was used
  - tcp: small fix for MSVC [Thanks to Eric Raible]
  - version is 2.202
  - reader: `\xXX' encodes directly (not as UTF8)
  - chicken-setup: checks .egg files for gzip header

Tue Oct 11 02:36:18 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - runtime.c: RTLD_NOW wasn't defined on OpenBSD [Thanks to Category5]
  - csc: .csc file is deleted even with -keep option

Tue Oct  4 02:48:30 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed obsolete header-file name in scheduler.scm [Thanks to Patrick Brannan]

Wed Sep 28 15:05:19 Hora oficial do Brasil 2005  bunny351@gmail.com
  * changed banner

Wed Sep 28 03:55:37 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - vcbuild.bat wasn't listed in the README [Thanks to Brandon van Every]
  - easyffi handles `#import'
  - csc: added `-objc' and handling of .m files
  - tcp.scm: changed header name for Windows sockets [Thanks to Patrick Brannan]
  - eval: removed unused parameter from internal routines in closure-compiler

Tue Sep 27 08:39:41 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - thread-deliver-signal!: properly unblocks target thread
  - compiler: require-extension checks registered features as well before issuing warning
  - argc-error doesn't print offending proc if no available
  - eval: lambda/value-naming handles `let' forms, now

Mon Sep 26 04:33:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc: undocumented misdocumented `-g' option [Thanks to Mario Goulart]
  - Fixed obsolete doc-links in wwchicken
  - extras: hash-function doesn't handle permanent literal strings specially [Thanks to Mario Goulart]
  - version is 2.3
  - version is 2.201

Sat Sep 24 18:36:44 Hora oficial do Brasil 2005  bunny351@gmail.com
  tagged 2.2-release

Sat Sep 24 18:36:24 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - cleanups in wwchicken + manual
  

Fri Sep 23 19:35:05 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - On Mac OS X, snprintf is used instead of gcvt to format flonums [Thanks to Kon Lovett]
  - version is 2.2

Fri Sep 23 12:43:28 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - added documentation for `C_callback_adjust_stack_limits'

Fri Sep 23 09:21:24 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - small cleanups in nextbuild and wwchicken

Wed Sep 21 23:26:19 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup now handles the case when a broken repository directory doesn't contain
    an entry for a required extension [Thanks to Reed Sheridan]
  - implemented sanity check for callbacks when invoked out of a non-Scheme context (i.e.
    when embedding) [Possible problems with the old behaviour where suggested by Daniel
    Faken]

Tue Sep 20 12:30:57 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - version is 2.114
  - argument-count checks show offending proceedure (if available)

Sun Sep 18 08:30:23 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - csc: -framework is also passed to cc
  - chicken-setup: silly bug in option handling
  - C_hash_string_ci: uses `C_tolower'

Sun Sep 18 00:16:13 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `process' doesn't finalize ports at all, buster.
  - extras: removed `clear-hash-table!', `get' and `put!'
  - version is 2.113

Sat Sep 17 02:39:46 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `process' finalizes ports
  - chicken-setup: slight enhancement of the appearance of the doc-index page
  - SRFi-69 support

Wed Sep 14 01:34:38 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - cscbench: handles scientific notation in `time' output
  - compiler.scm: add linfo to closure only when llist is a pair
  - `pp' handles linfo
  - csi: `,d' of lambda required tinyclos
  - chicken-setup: several bugfixes
  - eval: decorated lambdas
  - configure/Makefile: `...-static' executables are not generated, if shared or static
    build is deactivated [suggested by Sergey Khorev]
  - `print-backtrace' accepts optional start parameter

Sat Sep 10 18:34:39 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - added TODO

Sat Sep 10 17:48:12 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - cosmetic backend fix

Sat Sep 10 17:56:56 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `version' extension specifier

Sat Sep  3 06:40:29 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - SRFI-28 `format' is now in the base system (alias for `sprintf')
  - chicken-setup: `-uninstall' removes all given extension

Sat Sep  3 04:44:37 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed needless macroexpansion-hook and added another for local expansions
  - version is 2.111
  - chicken-setup, chicken-profile: removed `format' dependency
  - removed `format' unit from base system

Sat Sep 10 17:25:57 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - c-backend: comment wasn't quite right

Fri Sep  9 09:23:26 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - srfi-13: fixed bug in `string-concatenate-reverse/shared' [Thanks to Ashley Bone]
  - utils: `for-each-argv-line' binds current input-port

Thu Sep  8 03:52:31 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed overflow/negative handling in `arithmetic-shift'

Wed Sep  7 18:19:21 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - with -no-trace, trace-call is inserted as comment
  - library: addded `promise?'
  - csc: added `-framework' option
  - version is 2.112

Tue Sep  6 03:09:12 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - compiler: fixed invalid invocation of `default-user-pass-2'
  - renamed `pattern->regexp' to `glob->regexp' [Suggested by Kon Lovett]
  - removed user-level optimizers
  - chicken-setup: handles missing option arguments better

Fri Sep  2 10:06:34 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc: accepts `-D...'

Fri Sep  2 03:55:08 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Fixed bug in `procedure-information' (call to `##sys#read' had wrong arity)
  - interned toplevel symbols were not properly allocated in static memory

Wed Aug 31 16:37:52 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * small changes in wwchicken

Tue Aug 30 22:02:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed silly bug in `foreign-...' macros
  - SRFI-17 is now built-in
  - version is 2.110

Tue Aug 30 20:31:39 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - moved lambda-decorators into library
  - lolevel: extended-procedures use lambda-decorators
  - added `foreign-declare', `foreign-parse' and `foreign-parse/declare' macros
  - length-limited printing omitted the complete object if the limit was exceeded, now everything up to the limit
    is shown [Thanks to Gene Pavlovsky]

Mon Aug 29 19:28:51 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `require-extension' is available by default and `(require-extension chicken-more-macros)' should actually work now
    [Thanks to Daniel Faken]
  
  - version is 2.109

Mon Aug 29 18:28:04 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * removed unused entries in hen.el

Mon Aug 29 13:06:51 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `stub' unit for simpler embedding, if only basic Scheme interpreter is needed
  - Checking for installed extension when compiling `require-extension' is a bit more intelligent now
  - csc: single quote is not escaped in option strings (to handle quoted args in code fragments)

Sun Aug 28 11:08:17 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-ffi-macros: some more fiddling with `define-foreign-record', still not perfect, but hopefully better

Sat Aug 27 09:54:09 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-ffi-macros: slots of `const' type in `define-foreign-record' used invalid result conversion [Thanks to Reed Sheridan]
  - `-debug-level 1' is equivalent to `-no-trace', -d2 is now the default
  - version is 2.108

Sat Aug 27 09:13:47 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken: handles missing option arguments a bit more graceful
  - Fixed silly bug in `atom?' [Thanks to Reed Sheridan]

Thu Aug 25 09:07:13 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - replaced uses of `(##sys#fudge 1)' with `#!eof'
  - version is 2.107
  - `(current-directory DIR)' is the same as `(change-directory DIR)' [Suggested by Ed Watkeys]
  - chicken-setup accepts short options names, now

Wed Aug 24 17:51:31 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  tagged 2.106-snapshot

Wed Aug 24 17:46:37 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * tagged snapshot

Wed Aug 24 17:46:34 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  tagged 2.1106-snapshot

Wed Aug 24 17:36:50 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed silly bug in `##sys#lambda-info'

Wed Aug 24 14:06:12 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - unsafe libs are compiled with `-no-lambda-info'

Wed Aug 24 09:05:29 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - doc fix, cscbench links directly with static runtime
  

Tue Aug 23 10:06:16 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - some more comments
  - Makefile: unsafe libs are built with '-no-lambda-info'

Mon Aug 22 18:05:52 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - library: added `warning'
  - removed uses of `##sys#read-line-number' with port-positions
  - Makefile.am: Scheme sources are compiled with '-no-trace' instead of `-debug-level 0'
  - all files should be compiled with lambda-info now

Tue Aug 16 09:17:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - wwchicken: removed srfi-37 dependency from spiffy; split web and xml sections

Mon Aug 22 09:53:42 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed bug in definition of `##sys#block-address'

Mon Aug 22 09:09:41 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `signum' is exactness preserving [Suggested by John Cowan]
  - wwchicken: added note about SWIG [Suggested by John as well]
  - Resurrected `-emit-debug-info', added LAMBDA_INFO type
  - `##sys#block-address' was unreliable
  - removed `##sys#error-at' stuff from compiler
  - library: `procedure-information'
  - c-backend/runtime: string literals (and print-names for symbol literals) are allocated in static memory

Wed Aug 17 09:56:39 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `read-lines' also accepts a filename instead of a port.

Mon Aug 15 02:48:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - extras: `read-file' accepts optional maxcount argument [Suggested by Ed Watkeys]

Fri Aug 12 03:46:23 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - extras: `read-file' accepts optional reader procedure [Suggested by Ed Watkeys]

Fri Aug 12 17:02:47 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: fixed invalid handling of -host argument***DARCS***
  
  Write the long patch description into this file.
  The first line of this file will be the patch name.
  Everything in this file from the above ***DARCS*** line on will be ignored.
  
  This patch contains the following changes:
  
  M ./TASKS -2
  M ./chicken-setup.scm -3 +5
  M ./wwchicken +7

Wed Aug 10 04:22:14 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - tcp.scm: `tcp-connect' gives proper error message if connecting to a non-existant port [Thanks to Reed Sheridan]

Tue Aug  9 14:03:01 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed `hash-table-size', renamed `hash-table-count' to `hash-table-size'

Mon Aug  8 01:21:03 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc: added missing entry for `-ffi-no-include' in -h text
  - easyffi: handles enum-values that are itself enums; -ffi-no-include wasn't properly handled

Mon Aug  8 00:41:01 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc: removed `-export-dynamic' again
  - library: string literals printed in readable mode escape special characters [Thanks to Thomas Chust]
  - posixwin: `process-spawn' returns pid [Thanks to Ashley Bone]
  - tcp: some cosmetic fixes [Thanks to Daishi Kato]

Fri Aug  5 20:23:04 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: -docindex ads a newline; docindex includes other eggs
  - canonicalization of bodies didn't check lexical environments for shadowing of macros

Fri Aug  5 17:37:48 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - open-input-file crashed on empty filename [Thanks to Reed Sheridan]

Thu Aug  4 03:55:52 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - format: increased maximal number of iterations [Thanks to Alejandro Forero Cuervo]
  - chicken-setup: handles full URL paths

Fri Aug  5 00:41:00 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: `test-compile' didn't remove tmp-file properly
  - c-backend.scm: external prototypes are declared as `C_externexport', not `C_extern'
    [Thanks to Ashley Bone]
  - SRFI-31 support
  - csc: added `-export-dynamic'
  - chicken-setup: direct downloads; documentation index

Sun Jul 31 13:16:12 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `require-extension' shows a warning when compiling and the extension is not currently installed [suggested
    by Alejandro Cuervo]
  - `define-foreign-record' handles recursive structs [Thanks to Daniel Faken]
  - `CHICKEN_run' returns the continuation, `CHICKEN_continue' allows re-entry

Wed Jul 27 17:30:07 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - bumped version to 2.102

Sun Jul 31 01:18:48 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - extras.scm: much better hash-table resizing [Thanks to Alejandro Cuervo]
  - increased C_SIZEOF_FLONUM by 1 [Thanks to Daniel Faken]
  - csc: -P/-check-syntax didn't omit compiler invocation

Sat Jul 30 03:39:38 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * removed obsolete files from README

Sat Jul 30 03:38:06 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed all entry-point stuff (as suggested by Daniel Faken), `define-embedded' 
    and integrated boiler-plate API into eval.scm

Sat Jul 30 02:50:15 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  tagged 2.101-with-old-entry-points

Sat Jul 30 02:44:16 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup doesn't pass -E anymore
  - csc: -I<DIR> is passed directly to C compiler
  - `-extension' takes basename of output file (or source, if no output-file is specified)

Fri Jul 29 12:04:21 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc: changed `-E' to `-P'
  - compiler: `-extension' option
  - chicken-setup passes `-E' on simple install

Wed Jul 27 17:15:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed `foreign-parse' and `foreign-parse/spec'
  - lolevel: removed executable bytevector stuff
  - official support for SRFI-62

Thu Aug  4 02:19:14 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * removed some unused files

Wed Jul 27 06:26:58 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added documentation for new filelist format in chicken-setup

Tue Jul 26 03:06:31 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - slightly better error message when `library' unit hasn't been linked
  - chicken-setup: more fiddling to handle subdirectories

Mon Jul 25 19:59:55 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fiddled a bit with chicken-setup (ensures that target directory of copying operation exists), but still not
    complete (we need support for subdirectories)

Mon Jul 25 18:40:41 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - cscbench: prints times with 3 digits after the point [Thanks to Sven Hartrumpf]
  - fixed example in the manual [Thanks to John Cowan]

Mon Jul 25 10:09:51 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-ffi-macros: `define-foreign-record' stringifies second item in head, if given (or the compiler loops)
    [Thanks to Daniel Faken]
  - manual: added note about `C_alloc' being equivalent to declaring stack data [Thanks to Danel Faken, again]

Mon Jul 18 04:54:52 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `#+...' read-syntax
  - fixed bug in `seconds->time' (expected flonum) [Thanks to Kon Lovett and Reed Sheridan]

Sun Jul 17 05:33:19 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * fixed conflict in wwchicken

Sun Jul 17 05:16:16 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - makefile.vc and vcbuild.bat still refered to syntax-case unit
  - win-install-bat: removed copy-command for nonexistent chicken-highlevel-macros.scm

Sat Jul 16 11:55:40 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csi: fixed silly bug in option-processing while in `-script' mode

Sat Jul 16 11:29:06 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  tagged 2.0-release

Sat Jul 16 11:25:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - changed version to 2.0

Wed Jul 13 14:58:04 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `#<<...' accepts EOF
  - cscbench: applied OS X specific fix [Thanks to Kon Lovett]
  - Sven Hartrumpf contributed some improvements for `chicken-setup'
  - manual: removed references to `chicken-format-profile' [found by Sven Hartrumpf]
  - compiler: renamed `-require-for-syntax' to `require-extension'; it also behaves accordingly, now
  - removed `-no-feature' options from compiler and csi
  - csi: supports short options and `-require-extension'
  - escapes in string literals: \f, \a and #\v; named char literals #\alarm, #\vtab and #\nul***DARCS***
  
  Write the long patch description into this file.
  The first line of this file will be the patch name.
  Everything in this file from the above ***DARCS*** line on will be ignored.
  
  This patch contains the following changes:
  
  M ./Makefile.am -8
  M ./NEWS +4
  M ./README -1 +1
  M ./batch-driver.scm -12 +4
  M ./benchmarks/cscbench -1 +2
  M ./build.scm -1 +1
  M ./c-platform.scm -2 +2
  M ./chicken-profile.scm -28 +38
  M ./chicken.1 -7 +5
  M ./chicken.texi -31 +31
  M ./configure.in -1 +1
  M ./csc.scm.in -5 +4
  M ./csi.1 -17 +15
  M ./csi.scm -30 +72
  M ./library.scm -2 +8
  M ./support.scm -2 +1
  M ./wwchicken -10 +11

Tue Jul 12 10:42:03 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: doesn't list entries without extension-info
  - removed examples from distribution

Wed Jul 13 16:28:43 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - set-finalizer! forced finalizers on overflow only in debug mode
  - removed `end-of-file'
  - utils: added `port-for-each' and `port-map'

Tue Jul  5 03:00:35 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - eval: `(define-macro SYMBOL X)' accepts any expression at second position

Sun Jun  5 20:09:54 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - library/extras: procedure printing goees through `##sys#procedure->string'

Thu Jun 30 17:38:56 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - updated manual pages
  - csc: -static-libs option links with static libchicken (but dynamic libc)

Wed Jun 29 19:21:34 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed strictness stuff
  - removed -script-meta
  - removed psyntax completely

Thu Jun 30 03:41:23 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - some manual fixes

Mon Jun 27 19:04:54 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * conflicts again

Mon Jun 27 19:00:53 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - small cleanups

Mon Jun 27 18:05:18 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `chicken-version' returns full version info, if optional parameter is given and true
  

Mon Jun 27 03:20:04 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - configure.in/README: removed testsuites makefile

Sat Jun 25 20:05:21 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * resolved conflicts

Sat Jun 25 19:15:25 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed srfi-25 and test-infrastructure from core system (are now available as eggs)
  

Mon Jun 20 17:40:46 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - posix: `close-input-pipe' and `close-output-pipe' return the result-code from the invoked process [Suggested
    by Zbigniew Szadkowski]
  - posix: applied eCos patches [Contributed by Hans H[_\fc_]bner]

Fri Jun 24 04:01:35 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed traces of `compute-module-exports'

Fri Jun 24 03:42:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - compiler: removed special casing of `export' declaration for psyntax

Thu Jun 23 08:40:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - reader escapes symbols starting with "#!", unless #!rest, #!optional or #!key

Tue Jun 21 08:02:51 Hora oficial do Brasil 2005  bunny351@gmail.com
  * - Makefile.am/configure.in: --enable-build-feature

Tue Jun 21 03:59:44 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - srfi-14: some helper functions where not hidden
  - same for srfi-25.scm

Mon Jun 20 03:52:14 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `-debug e' doesn't print header

Sun Jun 19 10:44:01 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - bumped version to 1.942

Sat Jun 18 04:15:22 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc: csc bombs when CHICKEN_HOME is not set on Windows [Thanks to Krysztof Kowalczyk]
  - vcbuild.bat: added changes suggested by Andre van Tonder

Fri Jun 17 09:04:50 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed bug in vc-install.bat and renamed it to win-install.bat [Thanks to Krysztof Kowalczyk]
  - chicken-setup: fixed bug in `test-compile'

Thu Jun 16 04:20:04 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added instructions for using the free microsoft development tools [Many thanks to Andre van Tonder]
  - added vc-install.bat [Thanks to Krysztof Kowalczyk]

Thu Jun 16 02:55:59 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added kernel32 and gdi32 libs to linked libraries for VC runtime [Thanks to Krysztof Kowalczyk]

Mon Jun 13 17:56:07 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * small changes to TASKS and NEWS

Mon Jun 13 16:58:05 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * added TASKS

Mon Jun 13 04:38:17 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - pathnames may be prefixed with "$VARIABLE"

Mon Jun 13 04:17:50 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - eval.scm: extension-specifier handling was broken with source files [Thanks to Michele Simionato]
  - extras.scm: added `hash-table-keys' and `hash-table-values'
  - tcp.scm: uses strerror() for better error messages on failure [Thanks to Peter Bex]

Fri Jun 10 09:51:21 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * removed README.CVS

Fri Jun 10 09:50:06 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - moved `##sys#check-special' into library.scm

Thu Jun  9 12:58:15 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc.scm.in: doesn't remove /usr/local/include from include-path

Mon Jun  6 14:43:13 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - ##sys#user-read-hook invokes ##sys#read-error, not ##sys#error
  - `##sys#procedure->string'

Thu Jun  9 04:18:50 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - srfi-14: added patch by Reed Sheridan
  - Fixed build-problems for HP/UX [Contributed by Zbigniew Szadkoswki]

Wed Jun  8 09:39:08 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - bugfix in srfi-14.scm (missing typecheck, overeager declarations) [Thanks to Reed Sheridan]
  - documented `hash'
  - `make-hash-table' allows custom hash-function

Wed Jun  8 03:07:59 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - extras.scm: more error checking in extras.scm [Thanks to Peter Bex]
  - srfi-14.scm: more error checking as well [Thanks to Reed Sheridan]

Tue Jun  7 04:10:05 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - tcp.scm: fixed bug in select implementation [Thanks to hans Huebner]
  - runtime.c: return value of C_a_i_arithmetic_shift did check for uint, not int [Thanks to Dale Jordan]

Mon Jun  6 03:24:54 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - tinyclos: added type-check in `initialize-slots' [Thanks to Reed Sheridan]
  - eval: `define' checks for too many arguments [Thanks to Michele Simionato]

Thu Jun  2 02:48:38 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - srfi-25: `share-array' didn't check first argument [Thanks to Matthias Heiler]

Tue May 31 02:18:41 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - regex.scm: flags wheren't properly passed to regcomp [Thanks to Zbigniew]

Tue May 31 02:08:23 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - posix: `process' didn't check string argument type (check in `process-execute' was too late)

Mon May 30 17:26:49 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - psyntax.scm: removed some unused code left over from earlier debugging times
  - library.scm: #` reads as quasisyntax (not used yet, but might be useful later...)
  - eval: added internal toplevel-expansion hook
  - wwchicken: new eggs
  - chicken-setup: registers 'chicken-setup feature

Fri May 27 18:37:02 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Non-blocking repl-hack enabled for Cygwin [Thanks to Dominique Boucher]

Wed May 25 18:05:56 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - manual: some tweaking on the modules section
  - wwchicken: protobj

Wed May 25 23:01:56 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc: -W does nothing on non-Windows platform
  - chicken-setup: `install-program' automatically adds ".exe" extension on windows
  - manual: added module introduction

Sun May 22 16:02:48 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - wwchicken: updated

Fri May 20 13:17:53 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * imlib2 ref in wwchicken

Fri May 20 06:50:15 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `process' passes environment arg to `process-execute'

Fri May 20 05:28:10 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `define-foreign-record' always expanded into a struct named `foo' [Thanks Carlos Pita]
  - extras.scm: added `hash-table-exists?' [Suggested by Michele Simionato and Alex Shinn]
  - `foreign-primitive': return-type is optional
  - `process-execute' accepts optional environment list

Wed May 18 17:46:02 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * small manual fix

Wed May 18 17:07:38 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - psyntax.scm: uses inernally hookable `number?' predicate
  - compiler: `M' debug option
  - pcre.scm: anchor is omitted in `string-match[-positions]' when start is > 0 [Thanks to Christian Jaeger]

Wed May 18 03:44:16 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * manual additions [Thanks to Christian Jaeger]

Tue May 17 04:02:52 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * small manual fix

Mon May 16 16:12:09 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csi: `-eval' implies `-batch' and `-quiet' [Suggested by Reed Sheridan]
  - easyffi: `___inout' and `___out' works now with C++ reference types; better error message for invalid characters
  - compiler: small fix to handle `#>(swig ...) ...<#' with newest SWIG version
  - `[not] check-c-syntax' declaration
  - wwchicken: support for "hidden" eggs

Wed May 11 17:46:00 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-profile and csi accept `-h' option

Mon May  9 17:28:16 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added NEWS to repo

Mon May  9 16:19:55 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc doesn't pass `-static' to gcc on OS X [Thanks Henrik Tramberend]

Wed May 11 02:42:39 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - wwchicken: newsitems in web-page are not wrapped in <a> tag

Tue May 10 19:50:43 Hora oficial do Brasil 2005  rsheridan6@gmail.com
  * Minor UI fixes for chicken

Mon May  9 08:32:07 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - extras: Added `alist->hash-table' [Contributed by Alehandro Forero Cuervo]

Mon May  9 03:18:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - refactored pointer->string conversion
  - enabled relaxed multival-return rules

Thu May  5 18:12:02 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - spurious "." is detected (but escaped syntax is still allowed)
  - csi: `advise' has been removed
  - some small fixes in number-to-string conversion

Thu May  5 22:20:37 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - library/runtime: reader supports "+/-inf" and "+nan"; the compiler uses
    string-representation of literals if needed [Thanks to Kon Lovett]

Thu May  5 00:58:30 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - posix.scm: errno/exist was missing [Thanks to Reed Sheridan]
  - added `-:fXXX' runtime option
  - added `-ffi-no-include' option
  - `define-inline' (lolevel) detects non-lambda value

Wed May  4 03:10:26 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: .so is removed on simple install; d/l query only once
  - posix: open/read is an alias for open/rdonly [Thanks to Reed Sheridan]
  - raised pending finalizers max

Thu May  5 16:20:42 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - posixwin.scm: `C_fileno' -> `C_C_fileno'
  - makefile.vc: added a few missing line-continuation characters
  - chicken-config/csc: adds `-DHAVE_CHICKEN_CONFIG_H'
  - added NEWS file

Sun May  1 05:08:12 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - config-script checks for GNU make

Sat Apr 30 04:17:21 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * documented new search order for require

Sat Apr 30 03:51:25 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - hen.el: `include' is highlighted
  - chicken-entry-points.scm: `scheme-pointer' return type wasn't supported

Wed Apr 27 17:26:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - bumped version to 1.936

Mon Apr 25 18:02:16 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  tagged 1.935 snapshot

Fri Apr 29 08:46:11 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - documented '-:B'
  - extensions are now only searched in "." if not found in the repository path

Thu Apr 28 08:16:26 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `-:B' runtime option

Wed Apr 27 06:48:00 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * c-pointer alias for define-entry-point was not recognized

Wed Apr 27 05:17:13 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-entry-points.scm: compile-time eval thingy was completely broken with `-syntax' [Thanks to Daishi Kato]

Tue Apr 26 08:49:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - the reader can read now |.| [Thanks to Nicolas Pelletier]

Mon Apr 25 17:31:10 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - removed last traced of libstuffed-chicken/libsrfi-chicken

Sat Apr 23 19:38:26 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `define-extension' allows optional `export' clause
  - fixed a stupid bug in `string->number' (caused by previous "fix")
  - `set-finalizer!' was broken

Thu Apr 21 18:52:02 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - several patches and hooks for numbers

Wed Apr 20 19:31:04 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `string->number' didn't handle inexact numbers starting with #\#
  - `set-finalizer!' forces finaloizers if live count exceed max

Mon Apr 25 05:08:15 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Removed DJGPP support
  - libstuffed-chicken and libsrfi-chicken have been folded into libchicken

Fri Apr 22 04:33:17 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * pp handles other pointer types

Mon Apr 18 04:39:49 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - SWIG-pointers are accepted by `##sys#foreign-pointer-argument'

Mon Apr 18 03:22:22 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `CHICKEN_delete_gc_root()' didn't free memory of root object
  - chicken-entry-points.scm: added void-ptr cast
  - removed wrong entry in help text given by `,?' in csi [Thanks to Dale Jordan]
  - library: added `##sys#' aliases to `string->number' and `number->string' (and some other primitives) 
    for later hooking
  - added `define-extension'

Fri Apr 15 04:04:51 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - deletion of GC roots is O(1)

Thu Apr 14 09:53:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - internal char-type predicates didn't use libc alias macros

Wed Apr 13 17:57:34 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * resolved stupid conflict

Wed Apr 13 17:53:22 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed `define-method' to specialize all arguments

Mon Apr 11 19:21:39 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - John Lenz fixed a few problems with handling methods with argument lists of unequal length

Mon Apr 11 18:55:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - backtrace indicates current frame
  - `printf' accepts `~n' as an alias for `~%'
  - wwchicken: fixed broken links to SRFI47/57 docs [Thanks to Reed Sheridan]

Thu Apr  7 05:43:26 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Makefile.am: banner.scm was installed for unknown reasons
  - #\U... char syntax and \U... escape sequence
  - pretty-print didn't handle extended character syntax
  - changed macro-definition of `define-method' to handle non-specialized args correctly [Thanks to John Lenz]
  - utils: `decompose-pathname' should return #f, #f, #f for the empty string [Thanks to Peter Bex]

Wed Apr  6 02:20:09 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csc.scm and chicken-config pass -DHAVE_CHICKEN_CONFIG_H to C compiler [Thanks to Alex Shinn]

Mon Apr  4 18:29:54 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - manual: added documentation for `\uXXXX'

Mon Apr  4 18:16:03 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - utils: `make-pathname' didn't check type of filename-argument [Thanks to Peter Bex]
  - wwchicken: added new eggs
  - syntax-case: `declare' is now always available, even with `-r5rs'

Thu Mar 24 18:03:02 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - changed version-numbering to use 3-digit release number
  - manual: moved `___pointer' description

Mon Apr  4 04:47:38 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Arithmetic comparison operators didn't work properly on 64-bit machines [Thanks to Alex Shinn]

Mon Apr  4 04:18:33 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Makefile.in: uses different escapes to allow commas [Thanks to G[_\c3_][_\b6_]ran Krampe]
  - compiler: keywords are not optimized to literal accesses in strict mode; assignment to keyword triggers warning
    [Thanks to Damian Gryski]
  - '\uXXXX' escape sequence in strings

Thu Mar 24 04:07:03 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - library.scm: file-open functions and deletion/renaming use strerror(3) for better error messages [suggested by
    Alejandro Forero Cuervo]

Fri Mar 25 01:45:59 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken.h: added macro for `___pointer'
  - easyffi: added `opaque' pseudo-declaration; `___byte_vector' pseudo type

Mon Mar 21 07:38:35 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - easyffi: added `___pointer' marker

Mon Mar 21 04:28:52 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - easyffi: default-renaming is now triggered on any uppercase or underscore character

Wed Mar 16 06:26:55 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - easyffi: default-renaming is also triggered on underscores
  - library: ##sys#find-symbol-table is exported

Wed Mar 16 04:34:25 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - runtime.c: the removal of finalizer-list entries was broken [Thanks to John Lenz]

Tue Mar 15 10:03:22 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - wwchicken: added requirements for stream-ldif
  - srfi-4: fixed problem for `u32vector-ref' on 64-bit machines [Thanks to Alex Shinn]
  - extras: fixed stupid buf in rassoc
  - easyffi: `___length()' argument marker

Mon Mar 14 19:31:59 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * ...

Mon Mar 14 19:22:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * huh?

Mon Mar 14 19:18:26 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * resolved RCS conflicts; new eggs in wwchicken

Mon Mar 14 17:31:54 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added internal error class #:process-error
  - posix: uses strerror(3)
  - lolevel: `object-unevict' optionally copies byteblock objects
  - compiler: gives warnings for undefined exported globals
  - `define-inline' and `define-constant' are now usable with psyntax' module system (but expand to simple defines)
  - added inlining, no noticable performance improvements, though (customizable procedures and gcc inlining may probably
    do the job here...)

Mon Mar 14 04:42:52 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `u' debugging mode

Wed Mar  9 10:56:34 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csi: ,ln prints an arrow before the result
  

Mon Mar  7 19:27:20 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added continuation API

Thu Mar  3 19:09:47 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - easyffi: accepts `size_t' type (treated as unsigned int)
  - manual: missing backslash in example for `string-substitute'
  - easyffi: added pseudo declaration for default name substitution (`default_renaming')

Mon Mar  7 09:04:35 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - manual: fixed example for `join' [Thanks to William Annis]
  - new primitive `##sys#apply-values' and compiler rewritings

Thu Mar  3 17:23:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Fixed stupid bug in new handling of `-:r''s output; some macros in chicken.h didn't use libc aliases

Thu Mar  3 04:30:35 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `-:r' sends output to stderr [Suggested by Alejandro]
  - added `lambda-lift' declaration

Wed Mar  2 19:31:28 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * spiffy link

Wed Mar  2 16:52:02 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - tcp/posix: port-name and type for tcp-ports is set properly; `port->fileno' handles tcp ports

Wed Mar  2 14:00:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * added new shootout benchmarks

Wed Mar  2 13:58:22 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - the dot in `(X . Y)' was only recognized when followed by whitespace (now it accepts any delimiter) [Thanks to Christian Jaeger]
  - hen: `set!' is highlighted

Tue Mar  1 04:41:40 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - Alejandro Forero Cuervo contributed support for accumulated profile data; felix added
    `-accumulate-profile' option

Sat Feb 26 12:32:35 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * wwchicken: broken link

Sat Feb 26 08:40:11 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: added `compile'; `(run (csc ...))' passes `-feature compiling extension' to csc

Sat Feb 26 06:46:51 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - tcp: `tcp-accept' could block indefinitely if the syscall was interrupted
  - scheduler: slightly better interrupt handling

Sun Feb 27 02:18:37 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * scheduler: unimportant stuff

Sun Feb 27 00:14:56 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - batch-driver: unit-specification and -dynamic triggers warning [thanks to Julian Morrison]
  - tcp: added `tcp-listener-fileno'
  - scheduler.scm: fixed bug in `##sys#thread-unblock!'

Wed Feb 23 02:48:28 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - minor fixes

Mon Feb 21 17:05:31 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - changed version to 1.93
  - The README says to use GNU make in a more verbose manner [suggested by Volker Stolz]
  - configure.in: changed configure `--enable-libffi' to `--with-libffi'
  - the scheduler unblocks the primordial thread when select-based waiting is interrupted [Thanks to mark Wutka]

Wed Feb 16 15:42:58 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - wwchicken: lalr.egg link was broken

Wed Feb 16 15:04:41 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - wwchicken: added rfc3339

Wed Feb 16 11:03:18 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - posix: fixed bug in `process-execute' [wrong foreign type spec]

Wed Feb 16 05:43:12 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - wwchicken: lalr link in egg-index was wrong
  - changed copyrights to 2005

Tue Feb 15 10:39:30 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - changed copyright notice to 2005 [Thanks to Benedikt Rosenau]

Tue Feb 15 04:57:26 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - easyffi: added `___scheme_pointer' pseudo type

Tue Feb 15 02:03:38 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed nasty optimizer bug related to hidden procedures with explicitly consed rest argument [Thanks to
    Julian Morrison] (this was actually fixed in the 1.92 snapshot)
  - library: in debug mode, prints number of processed finalizers
  - srfi-4: finalization handling was wrong

Mon Feb 14 19:31:10 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  tagged 1.92 snapshot

Mon Feb 14 18:48:17 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: better handling when no remote repository file exists

Mon Feb 14 17:26:08 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken.h: no compiler warning when C_STACK_GROWS_DOWNWARD isn't defined in chicken-config.h
  - csi: loads "./.csirc" if it exists

Mon Feb 14 10:43:07 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * minor doc fix

Fri Feb 11 07:58:46 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - fixed bug in chicken-setup

Fri Feb 11 07:23:38 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup supports connection via proxy [Contributed by Mark Wutka]

Fri Feb 11 04:23:28 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - reverted to old psyntax code - the changes broke when compiling the dissector
    [Thanks to Thomas Chust]

Tue Feb  8 08:28:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * conflict in cscbench

Mon Feb  7 19:19:18 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added some internal support for syntax-case annotations
  - extended lambda-lists weren't properly handled with syntax-case in some cases
  - optional argument processing generates better code in unsafe mode
  - reader: added support for `#cs/#ci ...'
  - added foreign type-specifier `scheme-pointer' (old unqualified `pointer' is deprecated)
  - tagged pointer checks use `equal?' now

Mon Feb  7 10:40:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - extras: removed `collect' again (`filter-map' is fine)

Sat Feb  5 12:08:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * (- broken darcs link was reported by Andrey Sidorenko)
  - added `set-dynamic-load-mode!' [Thanks to Mark Baily for pointing out this shortcoming]
  - added `regexp-escape' [Suggested by Peter Bex]

Sat Feb  5 08:12:03 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - wwchicken: fixed broken darcs link [Thanks to Andrej ...]
  - chicken.h: check of _MIPS_SZPTR is only done for gcc
  - trigonometric functions can be inlined (partially) resulting in slightly better performance

Sat Feb  5 00:00:12 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - hen.el: added `foreign-code' to highlighted keywords
  - easyffi: didn't handle #\page in embedded C fragments [Thanks to Nicolas Pelletier]
  - extras: collect accepts more than one list
  - `read-string' didn't check port argument properly
  - `process' accepts optional argument list
  - wwchicken: RSS-generator adds guids and unique links [Thanks to Sergey Khorev]

Sat Jan 29 17:36:54 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - csi: `,d <fixnum>' only shows character representation if code is less than #x10000
  - posixwin: added `symbolic-link?' (always returns #f)

Thu Jan 27 19:54:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken.h: on MIPS, C_SIXTYFOUR is only selected if _MIPS_SZPTR == 64 [Thanks to Mark Baily]

Thu Jan 27 18:59:40 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - definition of C_fixnum_abs() in chicken.h was wrong [Thanks to Alex Shinn]
  - `hash-table-for-each' has it's argument order swapped (the old order is still supported);
    renamed `hash-table->list' to `hash-table->alist'; added `hash-table-update!' [Thanks to Sven Hartrumpf]

Tue Jan 25 06:56:40 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `regular-file?' to posixwin

Tue Jan 25 05:06:02 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - expansion of #!optional with a single argument is more efficient
  - posix: added `symbolic-link?' and `regular-file?' [as suggested by William Annis]

Mon Jan 24 17:54:30 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `machine-type' returns 'arm on ARM

Mon Jan 24 16:55:07 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `define-method' handles #!optional/#!key/#!rest (but doesn't specialize them)
  - chicken.h: some cleaning up
  - easyffi: allows `C_word' as type; `___callback' is now called `___safe' (`___callback' is still allowed, though)
  - `foreign-callback-lambda[*]' and `foreign-callback-wrapper' have been renamed to `foreign-safe-lambda[*]' and
    `foreign-safe-wrapper', respectively. The old names are deprecated
  - chicken-setup: file-lists in `install-...' procedures can specify absolute path to control destination directory
  - renamed `autosetup' to `autogen.sh' and made it more verbose
  - tinyclos: `port' argument to `print-object' and `describe-object' is now optional
  - fixed bug in optimizer that caused unsed unused arguments to callbacks defined with `define-external' to
    be removed

Fri Jan 21 17:13:17 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * more preprocessor aliases, updated wwchicken a little

Thu Jan 20 01:22:27 Hora oficial do Brasil 2005  brannanster@gmail.com[_^M_]
  * A compact test output function

Thu Jan 20 00:37:17 Hora oficial do Brasil 2005  "Patrick Brannan <brannanster@gmail.com>"[_^M_]
  * Windows mkdir fix

Fri Jan 21 14:46:14 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added some preprocessor stuff for redefining libc accesses

Wed Jan 19 10:08:36 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - some more aliases for libc routines
  - documented `C_u_i_c[ad]r'

Wed Jan 19 07:58:27 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `(emit-external-prototypes-first)' declaration
  - chicken.h/runtime.c: added some `C_...' aliases for stdlib

Tue Jan 18 10:59:48 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - `number->string' adds a trailing zero for inexact numbers with zero fractional part [Thanks to Sven Hartrumpf]

Tue Jan 18 08:12:38 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken.h: __LP64__ selects 64-bit mode
  - posix: added `file-link' [Suggested by Sunnan]

Mon Jan 17 17:52:59 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * added testeez

Mon Jan 17 15:56:55 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - extras: `collect'

Mon Jan 17 10:12:14 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - tinyclos: added instance-of?

Mon Jan 17 09:51:02 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - chicken-setup: `-no-install' wasn't recognized; error message was broken
  

Mon Jan 17 03:34:45 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * posix: fixed bug in absolute-pathname? [Thanks to Peter Bex]

Mon Jan 17 01:49:42 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - added `-emit-external-prototypes-first'

Fri Jan 14 04:39:17 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - tinyclos.scm: took bugfix for missing `(reverse field-initializers) in `(initialize <class>)' from Andreas
    Rottmann's tinyclos port
  - added `-:b' runtime option

Wed Jan 12 16:51:24 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * - dload2 and libffi features
  - libffi hack is only used when argc >= 120

Wed Jan 12 05:03:14 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * support for libffi to handle large argument lists

Wed Jan 12 04:18:26 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * documented foreign-primitive

Tue Jan 11 07:08:18 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * foreign-primitive

Mon Jan 10 18:15:07 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  tagged 1.89 release

Mon Jan 10 18:14:55 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * final touch on homepage

Sat Jan  8 09:34:53 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * added FAQ entry to explain the macro systems

Sat Jan  8 08:29:50 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * some manual cleanups, new version

Wed Jan  5 10:30:52 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * Added missing copyright statement in LICENSE [Thanks to Toby Butzon]
  argument type-check didn't handle `(const c-string)' properly [Thanks to Peter Bex]

Tue Jan  4 14:43:44 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * fixed bug in easyffi.l that caused wrong parsing of C comments [Thanks to Nicholas Pelletier]

Mon Jan  3 16:43:22 Hora oficial do Brasil 2005  felix@call-with-current-continuation.org
  * chicken-setup: `test-compile' was broken [thanks to Peter Bex]

Thu Dec 30 21:44:14 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * bitwise ops accept full integer range
  
  - `bitwise-and', `bitwise-ior', `bitwise-xor', `bitwise-not' and `arithmetic-shift' also accept non-exact
    integers, provided they are in machine word range
  - library: added `fxand', `fxior', `fxxor', `fxnot', `fxshl' and `fxshr'
  - ",d" invokes `unveil' for meroon instances
  - removed TODO
  

Tue Dec 28 20:34:00 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * csc.scm.in: handles damaged .csc files

Thu Dec 23 23:35:48 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * `-:d' shows message before finalizers are forced on exit

Thu Dec 23 01:49:18 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * more finalizer tests, documentation
  
  - minor documentation fix

Wed Dec 22 13:07:41 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * finalizer tuning
  
  - `set-finalizer!' returns the finalized object
  - finalizers are vastly more efficient now [Thanks to Ed Watkeys for pointing out this problem]

Wed Dec 22 11:58:43 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  tagged 1.85-work

Wed Dec 22 11:57:47 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * removed meroon (?)

Thu Dec 23 06:28:06 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * bumped version number

Wed Dec 15 19:04:13 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  tagged 1.85 (development)

Mon Dec 20 08:11:13 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * more bugfixes, doc changes
  
  - csi crashed on Windows when CHICKEN_HOME wasn't defined [Thanks to Shmulik Regev]
  - documented `<swig-pointer>' in manual
  - easy ffi: handles "long/short int" types [Thanks to Nicolas Pelletier]

Sun Dec 19 08:07:20 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * some bugfixes
  
  - tinyclos: new primitive class <swig-pointer> [Thanks to Joel Reymont]
  - csi: script-file loading in csi didn't work on Cygwin [Thanks to Dale Jordan]
  - added inlining rules for several SRFI-4 accessors

Thu Dec 16 07:08:11 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * minor stuff
  
  - hen.el: marks define-foreign-record
  - fixed bug in manual (#xe0 is 224, not 240 :-) [Thanks to Michele Simionato]
  - Circular dependency (library.c -> c_defaults.h, nsample -> library.c) in Makefile.am fixed [Thanks to Fabian B[_\c3_][_\b6_]hlke]

Wed Dec 15 18:38:30 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * doc improvements, define-macro at run-time
  
  - `define-macro' is now available in compiled files at run-time [shown to be useful by Michele Simionato]
  - eval-when: alternative specifiers `compile-time' and `run-time'
  - pcre, regex, pregexp: `regexp' handles optional caseless/igorespace/utf8 arguments [Contributed by Alex Shinn]
  - easyffi.scm: fixed a stupid bug in the type-simplifier [Thanks to Thomas Chust]

Wed Dec 15 03:16:52 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * chicken-home checks CHICKEN:HOME

Tue Dec 14 06:25:45 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * minor optiomization in srfi-13

Tue Dec 14 04:08:36 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * `chicken-compile-static' feature
  
  - csc: passes `-feature chicken-compile-static' in static mode [Suggested by Thomas Chust]

Mon Dec 13 05:12:47 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * minor bugfixes
  
  - `define-method' allows mixed qualified and unqualified arguments [Thanks to Joel Reymont]
  - lolevel: `##sys#check-pointer' also allows SWIG-pointers [Thanks to Joel Reymont]
  - added `chicken-home' [Thanks to Michele Simionato]
  - `##sys#resolve-include-filename' is a bit cleverer now

Tue Dec  7 04:09:36 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * define-values works now in all definition context [solution by Abdulaziz Ghuloum]

Mon Dec  6 20:18:00 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * chicken-setup stuff
  
  - chicken-setup: `install-sources' (preliminary); portable (?) "mkdir -p" command
  - wwchicken: RSS feed wasn't de-htmlized

Mon Dec  6 05:11:33 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * removed FAQ.html from makefile

Sat Dec  4 14:06:39 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * Bugfix for `provide', slight source-file cleanups
  
  - eval: `##sys#do-the-right-thing' didn't check whether an extension is explicitly provided
  - removed HACKING from repository
  - removed some old files from repository
  - chicken-entry-points: didn't work properly with psyntax
  - hen.el: added some keywords
  - added FAQ to manual

Sat Dec  4 01:29:03 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * cleanups of docs

Thu Dec  2 14:16:28 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * redefintion of records is safer
  
  - since `define-record[-type]' is not generative, redefinition with subsequent access of slots
    via the previous accessors was unsafe

Thu Dec  2 14:03:40 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * -r5rs option is stricter
  
  - `-r5rs' implies `-no-usual-integrations'
  - fixed docs regarding `-r5rs' option

Thu Dec  2 13:02:37 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * cleaning up
  
  - compiler: removed `-usual-integrations' and added `-no-usual-integrations'
    (this is now the default behaviour!)
  - the unbound value is printed differently now
  - removed last remnants of SRFI-22

Tue Nov 30 17:57:26 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  tagged 1.81-work

Tue Nov 30 17:15:04 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * simplifications of macro stuff
  
  - removed srfi-13-syntax.scm (moved into chicken-more-macros/chicken-highlevel-macros)

Tue Nov 30 12:45:47 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * added make-expansions.scm

Tue Nov 30 12:35:57 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * removed refs to srfi-13-syntax.scm in Makefile.am

Tue Nov 30 12:34:31 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * simplifications of macro stuff
  
  - removed srfi-13-syntax.scm (moved into chicken-more-macros/chicken-highlevel-macros)

Mon Nov 29 20:34:30 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * small cleanups, psyntax work
  
  - wwchicken: fixed bug introduced with previous change (htmlfile)
  - chicken-highlevel-macros: slightly cleaned up to allow bootstrapping of macro-definers
  - non-standard psyntax macro-definitions are now generated via script and compiled to native code
    (which gives better startup times)
  - removed `-strict-...' and `-r5rs' options from compiler and interpreter
  - README: filenames were wrong again

Mon Nov 29 15:56:52 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * removed csc.scm (finally)

Mon Nov 29 15:56:22 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * xx

Mon Nov 29 15:56:10 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * christ...

Mon Nov 29 15:35:02 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * bugfixes and chicken-setup option

Mon Nov 29 04:44:12 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * better feature-check in ##sys#do-the-right-thing

Thu Nov 25 03:33:42 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * removed csc.scm

Wed Nov 24 18:42:09 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * Sergey's fixes

Mon Nov 22 19:37:29 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * Bugfixes, Sergey's dlll-runtime changes
  
  - eval: warning for declarations in interpreted code passed wrong argument to `error'
  - hen.el: added changes contributed by Micky Latowicki
  - library: `c-runtime' returns information about linked C runtime library; MSVC build supports linking with
    dynamic runtime libs [Thanks to Sergey Khorev]

Wed Nov 17 19:49:34 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * ...

Wed Nov 17 19:45:00 Hora oficial do Brasil 2004  felix@call-with-current-continuation.org
  * Initial revision
